#!/bin/sh

#--------------------------------------------
# Define the paths to each of the packages
# All packages must be defined!
#--------------------------------------------
VILLAGE=../../turbine/lib/village-1.3.jar
TURBINE=../../turbine/bin/classes
JAVAMAIL=../../turbine/lib/mail-1.1.3.jar
JAF=../../turbine/lib/activation-1.0.1.jar
ECS=../../turbine/lib/ecs-1.3.3.jar


JSDK=/classes/JSDK2.0/lib/jsdk.jar


#--------------------------------------------
# No need to edit anything past here
#--------------------------------------------
if test -z "${JAVA_HOME}" ; then
    echo "ERROR: JAVA_HOME not found in your environment."
    echo "Please, set the JAVA_HOME variable in your environment to match the"
    echo "location of the Java Virtual Machine you want to use."
    exit
fi

if test -z "${TARGET}" ; then 
TARGET=jar
fi

if test -f ${JAVA_HOME}/lib/tools.jar ; then
    CLASSPATH=${CLASSPATH}:${JAVA_HOME}/lib/tools.jar
fi

echo "Now building ${TARGET}..."

CP=${CLASSPATH}:ant.jar:xml.jar:${JSDK}:${JAVAMAIL}:${JAF}:${VILLAGE}:${ECS}:${TURBINE}

echo "Classpath: ${CP}"
echo "JAVA_HOME: ${JAVA_HOME}"

BUILDFILE=build-jyve.xml

${JAVA_HOME}/bin/java -classpath ${CP} org.apache.tools.ant.Main -buildfile ${BUILDFILE} ${TARGET}
