package org.apache.jyve.actions;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

// JDK Stuff
import java.io.*;
import java.sql.*;
import java.util.Hashtable;

// Servlet Stuff
import javax.servlet.*;
import javax.servlet.http.*;

// External Stuff
import org.apache.turbine.modules.*;
import org.apache.turbine.services.*;
import org.apache.turbine.services.localization.*;
import org.apache.turbine.util.*;
import org.apache.turbine.util.mail.*;
import org.apache.turbine.om.security.*;
import org.apache.turbine.om.security.peer.*;
import org.apache.turbine.om.user.*;
import org.apache.turbine.om.user.peer.*;
import org.apache.turbine.util.db.*;
import org.apache.turbine.util.db.pool.*;
import com.workingdogs.village.*;
import org.apache.ecs.*;
import org.apache.ecs.html.*;

/**
*/
public class SendUserEmail extends Action
{
    public void doPerform( RunData data ) throws Exception
    {
        // check to see if the Cancel button was pressed.
        // if so, return to the homepage
        String submit = "submit1";
        String str = (String) data.getUser().getTemp ( submit, "asdfasdf" );
        if ( str != null && str
            .equalsIgnoreCase( data.parameters.getString(submit, "")) )
        {
            data.getUser().removeTemp(submit);
            data.getUser().removeTemp("submit3");
            return;            
        }

        Integer visitorid = (Integer) data.parameters.getInteger("visitorid", -1 );
        if ( visitorid == null || visitorid.intValue() == -1 )
        {
            data.setScreen ( "DisplayQuestionAnswer" );
            data.setMessage (Localization.getString("SENDUSEREMAIL_IDNOTVALID"));
            return;
        }
        User tu = new TurbineUser().retrieveFromStorage(visitorid);
        String receiver_email = (String) tu.getPerm (TurbineUserPeer.EMAIL);
        if ( receiver_email == null || receiver_email.length() == 0 )
        {
            data.setScreen ( "DisplayQuestionAnswer" );
            data.setMessage (Localization.getString("SENDUSEREMAIL_EMAILNOTVALID"));
            return;
        }

        String sender_name = data.parameters.getString ( "sender_name", null );
        String sender_email = data.parameters.getString ( "sender_email", null );
        String email_subject = data.parameters.getString ( "email_subject", null );
        String email_body = data.parameters.getString ( "email_body", null );
        String receiver_name = data.parameters.getString ( "receiver_name", null );
        if ( sender_name == null || sender_email == null 
            || email_subject == null || email_body == null 
            || receiver_name == null )
        {
            data.setScreen ( "DisplayUser" );
            data.setMessage (Localization.getString("SENDUSEREMAIL_FILLTHEFORM"));
            return;
        }
        
        Criteria crit = new Criteria();
        crit.add ( Email.SENDER_EMAIL, sender_email );
        crit.add ( Email.SENDER_NAME, sender_name );
        crit.add ( Email.RECEIVER_EMAIL, receiver_email );
        crit.add ( Email.RECEIVER_NAME, receiver_name );
        crit.add ( Email.EMAIL_SUBJECT, "[FAQ] " + email_subject );
        crit.add ( Email.EMAIL_BODY, email_body );
        
        try
        {
            SimpleEmail se = new SimpleEmail(crit);
            se.send();
            data.setMessage (Localization.getString("SENDUSEREMAIL_SENT"));
        }
        catch ( Exception e )
        {
            data.setMessage ( "Error sending email: " + e.toString() );
        }
    }
}
