package org.apache.jyve.localization;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

/** This class has been added 17.01.2000 by [jm],mediaphil digital media
    Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a>
    Please contact me if you have any questions, which ARE NOT ANSWERED
    by the Java Localization/Internationalization Documentation.
*/

/** @author Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a> */

import java.util.*;

/**
    This is the topmost node of our Resourcetree. It currently implements the default
    language which is english (US). It also serves as a fallback if a localized resourcebundle
    does not translate all resources.
*/

public class JyveLocalization extends ListResourceBundle
{
    /** returns the localized array to a java.util.ResourceBundle object. */
    public Object[][] getContents()
    {
        return contents;
    }

    /** If you want to localize Jyve to another language, localize this Array */
    static final Object[][] contents = {

        /* 
            This first entry specifies whoever made this localization and 
            is therefor responsible for it. If another person agrees on 
            maintaining this localization, enter his/her name here. You 
            probably may put an "UNSUPPORTED" there, too.
        */
        {"LOCALIZATION_MAINTAINER", "Jyve Development Team"},

// org.apache.jyve.actions

        {"ADDNEWANSWER_UNTITLED", "Untitled Answer"},
        {"ADDNEWANSWER_NEWANSWER", "Answer added!"},
        {"ADDNEWANSWER_NOADDPERM", "Sorry, you do not have the permission to add new answers!"},

        {"ADDNEWFAQ_CHOOSEPRJ", "Sorry, a Project must be choosen first."},
        {"ADDNEWFAQ_UNTITLEDFAQ", "Untitled FAQ"},
        {"ADDNEWFAQ_FAQCREATE", "FAQ added!"},
        {"ADDNEWFAQ_NOADDPERM", "Sorry, you do not have the permission to add new FAQ's!"},

        {"ADDNEWPRJ_UNTITLEDPRJ", "Untitled Project"},
        {"ADDNEWPRJ_CREATE", "Project added!"},
        {"ADDNEWPRJ_NOADDPERM", "Sorry, you do not have the permission to add new projects!"},

        {"ADDNEWQUESTION_UNTITLEDQ", "Untitled Question"},
        {"ADDNEWQUESTION_CREATE", "Question added!"},
        {"ADDNEWQUESTION_NOADDPERM", "Sorry, you do not have the permission to add new questions!"},

        {"ADDNEWTOPIC_CHOOSETOPIC", "Sorry, a FAQ Topic must be choosen first."},
        {"ADDNEWTOPIC_UNTITLEDT", "Untitled Topic"},
        {"ADDNEWTOPIC_CREATE", "Topic added!"},
        {"ADDNEWTOPIC_NOADDPERM", "Sorry, you do not have the permission to add new topics!"},

        {"CREATENEWUSERANDCONFIRM_PWNOTMATCH", "Sorry, the passwords do not match."},
        {"CREATENEWUSERANDCONFIRM_NOUSERNAME", "Sorry, you must supply a username."},
        {"CREATENEWUSERANDCONFIRM_NOEMAIL", "Sorry, you must supply a valid email address."},
        {"CREATENEWUSERANDCONFIRM_CHOOSENEWNAME", "Sorry, that username already exists. Please choose another."},
        {"CREATENEWUSERANDCONFIRM_CREATE", "Your new account has been created!"},

        {"DELETEANSWER_NOVALIDSELECTION", "Please choose a valid answer."},
        {"DELETEANSWER_NOTFOUND", "Answer to be deleted was not found!"},
        {"DELETEANSWER_DELETED", "Answer Deleted!"},
        {"DELETEANSWER_NOMODIFYPERM", "Sorry, you do not have the permission to modify answers!"},

        {"DELETEFAQ_NOVALIDSELECTION", "Please choose a valid FAQ."},
        {"DELETEFAQ_NOTFOUND", "FAQ to be deleted was not found!"},
        {"DELETEFAQ_DELETED", "FAQ Deleted!"},
        {"DELETEFAQ_NOMODIFYPERM", "Sorry, you do not have the permission to modify FAQ's!"},

        {"DELETEPRJ_NOVALIDSELECTION", "Please choose a valid project."},
        {"DELETEPRJ_NOTFOUND", "Project to be deleted was not found!"},
        {"DELETEPRJ_DELETED", "Project Deleted!"},
        {"DELETEPRJ_NOMODIFYPERM", "Sorry, you do not have the permission to modify projects!"},

        {"DELETEQUESTION_NOVALIDSELECTION", "Please choose a valid question."},
        {"DELETEQUESTION_NOTFOUND", "Question to be deleted was not found!"},
        {"DELETEQUESTION_DELETED", "Question Deleted!"},
        {"DELETEQUESTION_NOMODIFYPERM", "Sorry, you do not have the permission to modify questions!"},

        {"DELETETOPIC_NOVALIDSELECTION", "Please choose a valid topic."},
        {"DELETETOPIC_NOTFOUND", "Topic to be deleted was not found!"},
        {"DELETETOPIC_DELETED", "Topic Deleted!"},
        {"DELETETOPIC_NOMODIFYPERM", "Sorry, you do not have the permission to modify topics!"},

        {"JLOGINUSER_KEYNOTVALID", "Sorry, the secret key that you entered is not valid."},
        {"JLOGINUSER_WELCOME", "Welcome! Your registration has been confirmed. You are now free to use the system."},
        {"JLOGINUSER_NAMENOTVALID", "Sorry, that username is not valid. Please make sure that you have entered the valid URL from the email or create a new user account."},
        {"JLOGINUSER_CONFIRMFIRST", "Sorry, but you must first confirm this account before logging in."},
        {"JLOGINUSER_NOAUTHUSERROLE", "The role authenticated_user does not exist in database."},

        {"LOGOUTUSER_THANKS", "Thank you for using the system. Please come back soon."},

        {"SENDCONFIRMATIONEMAIL_BODY1", "Welcome to Jyve\n\n" +
                                      "Your new account has been created.\n\n" +
                                      "Your secret key is:\n\n"},

        {"SENDCONFIRMATIONEMAIL_BODY2", "You can go to the following URL to confirm your account:\n\n"},
        {"SENDCONFIRMATIONEMAIL_SENT", "Email Sent!"},
        {"SENDCONFIRMATIONEMAIL_ERROR", "Error sending email: "}, 

        {"SENDUSEREMAIL_IDNOTVALID", "Please provide a valid visitor id."},
        {"SENDUSEREMAIL_EMAILNOTVALID" , "This user currently does not have a valid email address."},
        {"SENDUSEREMAIL_FILLTHEFORM",  "Please fill in the form fields below."},
        {"SENDUSEREMAIL_SENT", "Email Sent!"},

        {"SESSIONVALIDATOR_SESSIONNOTVALID", "There has been an error, your session is valid, but the screen variable is not defined."},

        {"SHOWEDIT_MUSTLOGIN", "You must login before you can edit things."},

        {"UPDATEACCOUNT_NOTLOGGEDIN", "You must login before you can update account information."},
        {"UPDATEACCOUNT_PWNOTMATCH", "Sorry, the passwords do not match."},
        {"UPDATEACCOUNT_NOFIRSTNAME", "Sorry, you must supply a first name."},
        {"UPDATEACCOUNT_NOLASTNAME", "Sorry, you must supply a last name."},
        {"UPDATEACCOUNT_NOEMAIL", "Sorry, you must supply a valid email address."},
        {"UPDATEACCOUNT_DONE", "Your account has been updated!"},
        {"UPDATEACCOUNT_NOUSER", "Could not find correct user."},
        {"UPDATEACCOUNT_NEWEMAILCONFIRM", "You have changed your email address. You must re-confirm in order to continue using the system. Please check your email account."},

        {"UPDATEANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"UPDATEANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"UPDATEANSWER_UNTITLEDQ", "Untitled Question"},
        {"UPDATEANSWER_ANSWERDELETE", "Deleted!"},
        {"UPDATEANSWER_ANSWERUPDATE", "Updated!"},
        {"UPDATEANSWER_ANSWER", "Answer "},
        {"UPDATEANSWER_NOMODIFYPERM", "Sorry, you do not have the permission to modify this answer!"},

        {"UPDATEFAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"UPDATEFAQ_UNTITLEDF", "Untitled FAQ"},
        {"UPDATEFAQ_FAQDELETE", "Deleted!"},
        {"UPDATEFAQ_FAQUPDATE", "Updated!"},
        {"UPDATEFAQ_FAQ", "FAQ "},
        {"UPDATEFAQ_NOMODIFYPERM", "Sorry, you do not have the permission to modify this FAQ!"},

        {"UPDATEPRJ_NOVALIDPRJ", "Please choose a valid Project."},
        {"UPDATEPRJ_UNTITLEDP", "Untitled Project"},
        {"UPDATEPRJ_PRJDELETE", "Deleted!"},
        {"UPDATEPRJ_PRJUPDATE", "Updated!"},
        {"UPDATEPRJ_PROJECT", "Project "},
        {"UPDATEPRJ_NOMODIFYPERM", "Sorry, you do not have the permission to modify this project!"},

        {"UPDATEQUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        {"UPDATEQUESTION_UNTITLEDQ", "Untitled Question"},
        {"UPDATEQUESTION_QUESTIONDELETE", "Deleted!"},
        {"UPDATEQUESTION_QUESTIONUPDATE", "Updated!"},
        {"UPDATEQUESTION_QUESTION", "Question "},
        {"UPDATEQUESTION_NOMODIFYPERM", "Sorry, you do not have the permission to modify this question!"},

        {"UPDATETOPIC_NOVALIDTOPIC", "Please choose a valid Topic."},
        {"UPDATETOPIC_UNTITLEDT", "Untitled Question"},
        {"UPDATETOPIC_TOPICDELETE", "Deleted!"},
        {"UPDATETOPIC_TOPICUPDATE", "Updated!"},
        {"UPDATETOPIC_TOPIC", "Topic "},
        {"UPDATETOPIC_NOMODIFYPERM", "Sorry, you do not have the permission to modify this topic!"},


        {"RELEASE_PRJ_NORELEASEPERM", "Sorry, you do not have the permission to release this project!"},
        {"RELEASE_FAQ_NORELEASEPERM", "Sorry, you do not have the permission to release this FAQ!"},
        {"RELEASE_TOPIC_NORELEASEPERM", "Sorry, you do not have the permission to release this topic!"},
        {"RELEASE_QUESTION_NORELEASEPERM", "Sorry, you do not have the permission to release this question!"},
        {"RELEASE_ANSWER_NORELEASEPERM", "Sorry, you do not have the permission to release this answer!"},

        {"RELEASE_PRJ_NOVALIDPRJ", "Please choose a valid Project."},
        {"RELEASE_FAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"RELEASE_TOPIC_NOVALIDTOPIC", "Please choose a valid Topic."},
        {"RELEASE_ANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"RELEASE_QUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        
        {"RELEASE_PRJ_PRJRELEASED", "Project released!"},
        {"RELEASE_FAQ_FAQRELEASED", "FAQ released!"},
        {"RELEASE_TOPIC_TOPICRELEASED", "Topic released!"},
        {"RELEASE_QUESTION_QUESTIONRELEASED", "Question released!"},
        {"RELEASE_ANSWER_ANSWERRELEASED", "Answer released!"},

        
// org.apache.jyve.navigations

        {"OPTIONSFOOTER_OPTIONS", "Options:"},
        {"OPTIONSFOOTER_HIDEEDIT", "[Hide Edit Commands]"},
        {"OPTIONSFOOTER_SHOWEDIT", "[Show Edit Commands]"},
        {"OPTIONSFOOTER_LOGOUT", "[Logout]"},
        {"OPTIONSFOOTER_LOGIN", "[Login]"},
        {"OPTIONSFOOTER_HOME", "[Home]"},
        {"OPTIONSFOOTER_SEARCH", "[Search]"},
        {"OPTIONSFOOTER_LISTUNRELEASED", "[List Unreleased]"},
        {"OPTIONSFOOTER_EDITACCOUNT", "[Edit Account]"},

        {"TOPBAR_PROJECTSTITLE", "Project:"},
        {"TOPBAR_FAQTITLE", "FAQ:"},
        {"TOPBAR_TOPICTITLE", "Topic:"},

        {"PREVNEXTQ_PREVQUESTION", "Previous: "},
        {"PREVNEXTQ_PREVTOPIC", "Previous Topic: "},
        {"PREVNEXTQ_FIRSTQUESTION", "First question in first topic"},
        {"PREVNEXTQ_NEXTQUESTION", "Next: "},
        {"PREVNEXTQ_NEXTTOPIC", "Next Topic: "},
        {"PREVNEXTQ_LASTQUESTION", "Last question in last topic"},
        {"PREVNEXTQ_CURRENTTOPIC", "Current Topic: "},
        {"PREVNEXTQ_OPENBRACKET", "[ "},
        {"PREVNEXTQ_CLOSEBRACKET", " ]"},
        {"PREVNEXTQ_BRACKETSPLIT", " ] [ "},

// org.apache.jyve.screens

        {"CONFIRMREGISTRATION_TITLE", "Jyve - Confirm Registration"},
        {"CONFIRMREGISTRATION_NOUSERNAME", "Sorry, a username must be available."},
        {"CONFIRMREGISTRATION_MESSAGE",  "Please check your email and enter your secret key to confirm your registration:"},
        {"CONFIRMREGISTRATION_SECRETKEYTITLE", "Secret Key:"},
        {"CONFIRMREGISTRATION_CANCEL", "Cancel"},
        {"CONFIRMREGISTRATION_CONFIRM", "Confirm Registration"},

        {"DISPLAYFAQS_TITLE", "Jyve - FAQs"},
        {"DISPLAYFAQS_NOVALIDPRJ", "Sorry, a project must be choosen first."},
        {"DISPLAYFAQS_CHOOSEFAQMSG", "Please choose a FAQ: "},
        {"DISPLAYFAQS_MODIFY", "[Modify]"},
        {"DISPLAYFAQS_RELEASE", "[Release]"},
        {"DISPLAYFAQS_NOFAQ", "Sorry there are currently no available FAQs for this Project."},
        {"DISPLAYFAQS_ADDNEWFAQ", "[Add New FAQ]"},

        {"DISPLAYONETOPIC_TITLE", "Jyve - One Topic"},
        {"DISPLAYONETOPIC_NOVALIDPRJ", "Sorry, a project must be choosen first."},
        {"DISPLAYONETOPIC_NOVALIDFAQTOPIC", "Sorry, a FAQ Topic must be choosen first."},
        {"DISPLAYONETOPIC_NOVALIDTOPIC", "Please choose a valid topic."},
        {"DISPLAYONETOPIC_CHOOSEQUESTIONFROMTOPIC", "Please choose a question from the topic below: "},
        {"DISPLAYONETOPIC_ADDNEWQUESTION", "[Add New Question]"},
        {"DISPLAYONETOPIC_MODIFYTOPIC", "[Modify this Topic]"},
        {"DISPLAYONETOPIC_RELEASETOPIC", "[Release this topic]"},

        {"DISPLAYPROJECTS_TITLE", "Jyve - Projects"},
        {"DISPLAYPROJECTS_CHOOSEPRJMSG", "Please choose a project:"},
        {"DISPLAYPROJECTS_NOPRJ", "Sorry there are currently no available Projects."},
        {"DISPLAYPROJECTS_MODIFY", "[Modify]"},
        {"DISPLAYPROJECTS_RELEASE", "[Release]"},
        {"DISPLAYPROJECTS_ADDNEWPRJ", "[Add New Project]"},

        {"DISPLAYQUESTIONANSWER_TITLE", "Jyve - Question and Answers"},
        {"DISPLAYQUESTIONANSWER_NOANSWER", "Sorry, there are no answers to this question."},
        {"DISPLAYQUESTIONANSWER_NOQUESTION", "Sorry, this question does not exist."},
        {"DISPLAYQUESTIONANSWER_MODIFY", "[Modify]"},
        {"DISPLAYQUESTIONANSWER_RELEASE", "[Release]"},
        {"DISPLAYQUESTIONANSWER_LASTMOD", "Last Mod: "},
        {"DISPLAYQUESTIONANSWER_NOVALIDTOPIC", "Please choose a valid topic."},
        {"DISPLAYQUESTIONANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"DISPLAYQUESTIONANSWER_ADDANSWER", "[Add New Answer]"},

        {"DISPLAYTOPICS_TITLE", "Jyve - Topics"},
        {"DISPLAYTOPICS_NOVALIDPRJ", "Sorry, a project must be choosen first."},
        {"DISPLAYTOPICS_NOVALIDFAQTOPIC", "Sorry, a FAQ Topic must be choosen first."},
        {"DISPLAYTOPICS_CHOOSETORQ", "Please choose a Topic or Question: "},
        {"DISPLAYTOPICS_ADDNEWTOPIC", "[Add New Topic]"},
        {"DISPLAYTOPICS_NOTOPICS", "Sorry, there are no topics in this FAQ."},

        {"DISPLAYUSER_TITLE", "Jyve - Display User"},
        {"DISPLAYUSER_INFOMSG", "Below is the information you requested: "},
        {"DISPLAYUSER_NAMEMSG", "Name: "},
        {"DISPLAYUSER_LOGINMSG", "Last Login: "},
        {"DISPLAYUSER_WARNING", "Please do not use this as a form of tech support. " +
                        "The reason is that we do not necessarily have time to help the world on an individual basis. " +
                        "Tech support questions sent via this system will probably be ignored. You should subscribe " +
                        "to the appropriate mailing list and ask your questions there."},
        {"DISPLAYUSER_SENDMAILMSG", "Send an email to this user:"},
        {"DISPLAYUSER_USERNAMEMSG", "Your Name: "},
        {"DISPLAYUSER_EMAILMSG", "Your Email: "},
        {"DISPLAYUSER_SUBJECTMSG", "Subject: " },
        {"DISPLAYUSER_BODYMSG", "Message: "},
        {"DISPLAYUSER_CANCEL", "Cancel"},
        {"DISPLAYUSER_SENDMAIL", "Send Email"},

        {"EDITACCOUNT_TITLE", "Jyve - Update Account"},
        {"EDITACCOUNT_NOTLOGGEDIN", "Sorry, you must be logged in in order to access this screen."},
        {"EDITACCOUNT_USERNAMEMSG", "Username:"},
        {"EDITACCOUNT_PASSWORDMSG", "Password:"},
        {"EDITACCOUNT_PASSWORDCONFIRMMSG",  "Password (confirm):"},
        {"EDITACCOUNT_FIRSTNAMEMSG", "First Name:"},
        {"EDITACCOUNT_LASTNAMEMSG", "Last Name:"},
        {"EDITACCOUNT_EMAILMSG",  "Email:"},
        {"EDITACCOUNT_CANCEL", "Cancel"},
        {"EDITACCOUNT_CREATE", "Update Account"},
            
        {"EDITANSWER_TITLE", "Modify Answer"},
        {"EDITANSWER_CANCEL", "Cancel"},
        {"EDITANSWER_DELETE", "Delete"},
        {"EDITANSWER_SAVE", "Save"},
        {"EDITANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"EDITANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"EDITANSWER_CHANGEANSWERMSG", "Change the answer to this question:"},
        {"EDITANSWER_ORDERNUMMSG", "Order Number: "},
        {"EDITANSWER_NOMODIFYPERM", "Sorry, you do not have the permission to modify this answer!"},

        {"EDITFAQ_TITLE", "Modify FAQ"},
        {"EDITFAQ_CANCEL", "Cancel"},
        {"EDITFAQ_DELETE", "Delete"},
        {"EDITFAQ_SAVE", "Save"},
        {"EDITFAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"EDITFAQ_CHANGEFAQMSG", "Change the FAQ:"},
        {"EDITFAQ_ORDERNUMMSG", "Order Number: "},
        {"EDITFAQ_NOMODIFYPERM", "Sorry, you do not have the permission to modify this FAQ!"},

        {"EDITPRJ_TITLE", "Modify Project"},
        {"EDITPRJ_CANCEL", "Cancel"},
        {"EDITPRJ_DELETE", "Delete"},
        {"EDITPRJ_SAVE", "Save"},
        {"EDITPRJ_CHOOSETOPIC", "Please choose a valid topic."},
        {"EDITPRJ_CHANGEPRJMSG", "Change the Project:"},
        {"EDITPRJ_ORDERNUMMSG", "Order Number: "},
        {"EDITPRJ_NOMODIFYPERM", "Sorry, you do not have the permission to modify this project!"},

        {"EDITQUESTION_TITLE", "Modify Question"},
        {"EDITQUESTION_CANCEL", "Cancel"},
        {"EDITQUESTION_DELETE", "Delete"},
        {"EDITQUESTION_SAVE", "Save"},
        {"EDITQUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        {"EDITQUESTION_CHANGEQUESTIONMSG", "Change the question:"},
        {"EDITQUESTION_ORDERNUMMSG", "Order Number: "},
        {"EDITQUESTION_NOMODIFYPERM", "Sorry, you do not have the permission to modify this question!"},

        {"EDITTOPIC_TITLE", "Modify Topic"},
        {"EDITTOPIC_CANCEL", "Cancel"},
        {"EDITTOPIC_DELETE", "Delete"},
        {"EDITTOPIC_SAVE", "Save"},
        {"EDITTOPIC_NOVALIDTOPIC", "Please choose a valid topic."},
        {"EDITTOPIC_CHANGETOPICMSG", "Change the Topic:"},
        {"EDITTOPIC_ORDERNUMMSG", "Order Number: "},
        {"EDITTOPIC_NOMODIFYPERM", "Sorry, you do not have the permission to modify this topic!"},

        {"LOGIN_TITLE", "Welcome to Jyve - Login Screen!"},
        {"LOGIN_USERNAMEMSG",  "Username:"},
        {"LOGIN_PASSWORDMSG", "Password:"},
        {"LOGIN_CREATENEWACCOUNT", "Create a new account"},
        {"LOGIN_LOGINBTN", "Login"},

        {"MAINMENU_TITLE", "Welcome to Jyve FAQ!"},
        {"MAINMENU_WELCOMEMSG", "Welcome "},

        {"NEWACCOUNT_TITLE", "Jyve - Create New Account"},
        {"NEWACCOUNT_INFOMSG1", "To create a new account, please fill in all of the fields below. "},
        {"NEWACCOUNT_INFOMSG2", "After your account has been created, you will receive an email with a confirmation key."},
        {"NEWACCOUNT_INFOMSG3", "Enter the confirmation key that you received in the email on the next screen in order to confirm your registration with the system."},
        {"NEWACCOUNT_INFOEMAILMSG", "A valid email address is required!"},
        {"NEWACCOUNT_USERNAMEMSG", "Username:"},
        {"NEWACCOUNT_PASSWORDMSG", "Password:"},
        {"NEWACCOUNT_PASSWORDCONFIRMMSG",  "Password (confirm):"},
        {"NEWACCOUNT_FIRSTNAMEMSG", "First Name:"},
        {"NEWACCOUNT_LASTNAMEMSG", "Last Name:"},
        {"NEWACCOUNT_EMAILMSG",  "Email:"},
        {"NEWACCOUNT_CANCEL", "Cancel"},
        {"NEWACCOUNT_CREATE", "Create New Account"},
       
        {"NEWANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"NEWANSWER_TITLE", "Add New Answer"},
        {"NEWANSWER_ADDNEWANSWERMSG", "Add a new answer to this question:"},
        {"NEWANSWER_CANCEL", "Cancel"},
        {"NEWANSWER_SAVE", "Save"},
        {"NEWANSWER_TYPE_HTMLTEXTMSG", "Html Text"},
        {"NEWANSWER_TYPE_PLAINTEXTMSG", "Plain Text"},
        {"NEWANSWER_ORDERNUMMSG", "Order Number: "},
        {"NEWANSWER_NOADDPERM", "Sorry, you do not have the permission to add new answers!"},
         
        {"NEWFAQ_NOVALIDPROJECT", "Please choose a valid Project."},
        {"NEWFAQ_TITLE", "Add New FAQ"},
        {"NEWFAQ_ADDNEWFAQMSG", "Add a new FAQ:"},
        {"NEWFAQ_CANCEL", "Cancel"},
        {"NEWFAQ_SAVE", "Save"},
        {"NEWFAQ_ORDERNUMMSG",  "Order Number: "},
        {"NEWFAQ_NOADDPERM", "Sorry, you do not have the permission to add new FAQ's!"},

        {"NEWPRJ_TITLE", "Add New Project"},
        {"NEWPRJ_ADDNEWPRJMSG", "Add a new Project:"},
        {"NEWPRJ_CANCEL", "Cancel"},
        {"NEWPRJ_SAVE", "Save"},
        {"NEWPRJ_ORDERNUMMSG", "Order Number: "},
        {"NEWPRJ_NOADDPERM", "Sorry, you do not have the permission to add new projects!"},

        {"NEWQUESTION_TITLE", "Add New Question"},
        {"NEWQUESTION_NOVALIDFAQ", "Sorry, a FAQ Topic must be choosen first."},
        {"NEWQUESTION_NOVALIDTOPIC", "Please choose a valid topic."},
        {"NEWQUESTION_ADDNEWQUESTIONMSG", "Add a new question:"},
        {"NEWQUESTION_CANCEL", "Cancel"},
        {"NEWQUESTION_SAVE", "Save"},
        {"NEWQUESTION_ORDERNUMMSG", "Order Number: "},
        {"NEWQUESTION_NOADDPERM", "Sorry, you do not have the permission to add new questions!"},

        {"NEWTOPIC_TITLE", "Add New Topic"},
        {"NEWTOPIC_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"NEWTOPIC_ADDNEWTOPICMSG", "Add a new topic:"},
        {"NEWTOPIC_CANCEL", "Cancel"},
        {"NEWTOPIC_SAVE", "Save"},
        {"NEWTOPIC_ORDERNUMMSG", "Order Number: "},
        {"NEWTOPIC_NOADDPERM", "Sorry, you do not have the permission to add new topics!"},

        {"SEARCHGLOBAL_TITLE", "Jyve - Global Search Screen!"},
        {"SEARCHGLOBAL_SEARCHMSG", "Search: "},
        {"SEARCHGLOBAL_SEARCHBTN", "Search!"},

        {"SEARCHRESULTS_TITLE", "Jyve - Search Results!"},
        {"SEARCHRESULTS_SEARCHRESULTMSG", "Search results:"},
        {"SEARCHRESULTS_NOVALIDSEARCH", "Please specify something to search for!"},
        {"SEARCHRESULTS_PROJECTMSG", "Project:"},
        {"SEARCHRESULTS_FAQMSG", "FAQ:"},
        {"SEARCHRESULTS_TOPICMSG", "Topic:"},
        {"SEARCHRESULTS_QUESTIONMSG", "Question:"},
        {"SEARCHRESULTS_NOMATCHMSG", "Sorry, your search did not result in a match!"},
        {"SEARCHRESULTS_TOTALMSG", "Total: "},

        {"DISPLAYUNRELEASED_TITLE", "Jyve - Display Unreleased Entries!"},
        {"DISPLAYUNRELEASED_LISTOFMSG", "List of unreleased entries:"},
        {"DISPLAYUNRELEASED_PROJECTMSG", "Project:"},
        {"DISPLAYUNRELEASED_FAQMSG", "FAQ:"},
        {"DISPLAYUNRELEASED_TOPICMSG", "Topic:"},
        {"DISPLAYUNRELEASED_QUESTIONMSG", "Question:"},
        {"DISPLAYUNRELEASED_NOMATCHMSG", "No unreleased entries found!"},
        {"DISPLAYUNRELEASED_TOTALMSG", "Total: "},
        
// org.apache.jyve.util

        {"JSECURITYCHECK_RANGEVISITORID", "Error: Your visitor_id in the database must be greater zero: "},
        {"JSECURITYCHECK_RANGEVISITORIDREC", "Error: The visitor_id of the choosen element in the database must be greater zero: "},
        
        {"", ""}
    };
}
