package org.apache.jyve.localization;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

/** This class has been added 24.01.2000 by [jm],mediaphil digital media
    Jonas Maurus <a href="mailto:jm@mediaphil.de"> jm@mediaphil.de </a>
    Please contact me if you have any questions, which ARE NOT ANSWERED
    by the Java Localization/Internationalization Documentation.
*/

/** @author Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a> */

import java.util.*;

/**
    This is the german localization of Jyve in its original form.
*/

public class JyveLocalization_de extends ListResourceBundle
{
    /** returns the localized array to a java.util.ResourceBundle object. */
    public Object[][] getContents()
    {
        return contents;
    }

    /** If you want to localize Jyve to another language, localize this Array */
    static final Object[][] contents = {

        /* 
            This first entry specifies whoever made this localization and 
            is therefor responsible for it. If another person agrees on 
            maintaining this localization, enter his/her name here. You 
            probably may put an "UNSUPPORTED" there, too.
        */
        {"LOCALIZATION_MAINTAINER", "mediaphil digital media"},

// org.apache.jyve.actions

        {"ADDNEWANSWER_UNTITLED", "Diese Antwort hat keine berschrift"},
        {"ADDNEWANSWER_NEWANSWER", "Eine Antwort wurde hinzugefgt!"},
        {"ADDNEWANSWER_NOADDPERM", "Leider sind Sie nicht berechtigt neue Antworten hinzuzufgen!"},

        {"ADDNEWFAQ_CHOOSEPRJ", "Leider mu erst ein Projekt ausgewhlt werden."},
        {"ADDNEWFAQ_UNTITLEDFAQ", "Diese FAQ hat keine berschrift"},
        {"ADDNEWFAQ_FAQCREATE", "Eine FAQ wurde hizugefgt!"},
        {"ADDNEWFAQ_NOADDPERM", "Lieder sind Sie nicht berechtigt neue Fragen hinzuzufgen!"},

        {"ADDNEWPRJ_UNTITLEDPRJ", "Dieses Projekt hat keine berschrift"},
        {"ADDNEWPRJ_CREATE", "Ein Projekt wurde hinzugefgt!"},
        {"ADDNEWPRJ_NOADDPERM", "Leider sind Sie nicht berechtigt neue Projekte hinzuzufgen!"},

        {"ADDNEWQUESTION_UNTITLEDQ", "Diese Frage hat keine berschrift"},
        {"ADDNEWQUESTION_CREATE", "Eine Frage wurde hinzugefgt!"},
        {"ADDNEWQUESTION_NOADDPERM", "Leider sind Sie nicht berechtigt neue Fragen hinzuzufgen!"},

        {"ADDNEWTOPIC_CHOOSETOPIC", "Leider mssen Sie erst ein Projekt-Thema whlen."},
        {"ADDNEWTOPIC_UNTITLEDT", "Dieses Thema hat keine berschrift"},
        {"ADDNEWTOPIC_CREATE", "Ein Thema wurde hinzugefgt!"},
        {"ADDNEWTOPIC_NOADDPERM", "Leider sind Sie nicht berechtigt neue Themen hinzuzufgen!"},

        {"CREATENEWUSERANDCONFIRM_PWNOTMATCH", "Leider stimmen die Passwrter nicht berein."},
        {"CREATENEWUSERANDCONFIRM_NOUSERNAME", "Sie mssen noch einen Benutzernamen eingeben."},
        {"CREATENEWUSERANDCONFIRM_NOEMAIL", "Sie mssen noch eine gltige E-Mail Adresse eingeben."},
        {"CREATENEWUSERANDCONFIRM_CHOOSENEWNAME", "Leider gibt es diesen Benutzernamen schon. Bitte whlen Sie einen anderen."},
        {"CREATENEWUSERANDCONFIRM_CREATE", "Ihr neuer Zugang wurde erstellt!"},

        {"DELETEANSWER_NOVALIDSELECTION", "Bitte whlen Sie eine vorhandene Antwort."},
        {"DELETEANSWER_NOTFOUND", "Die zu lschende Antwort konnte nicht gefunden werden!"},
        {"DELETEANSWER_DELETED", "Die Antwort wurde gelscht!"},
        {"DELETEANSWER_NOMODIFYPERM", "Leider sind sie nicht berechtigt Antworten in dieser Datenbank zu ndern!"},

        {"DELETEFAQ_NOVALIDSELECTION", "Die von Ihnen gewhlte FAQ gibt es nicht. Bitte whlen Sie eine andere."},
        {"DELETEFAQ_NOTFOUND", "Die zu lschende FAQ konnte nicht gefunden werden!"},
        {"DELETEFAQ_DELETED", "Die FAQ wurde gelscht!"},
        {"DELETEFAQ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt dieser Datenbank neue FAQs hinzuzufgen!"},

        {"DELETEPRJ_NOVALIDSELECTION", "Bitte whlen Sie ein vorhandenes Projekt."},
        {"DELETEPRJ_NOTFOUND", "Das zu lschende Projekt konnte nicht gefunden werden!"},
        {"DELETEPRJ_DELETED", "Das Projekt wurde gelscht!"},
        {"DELETEPRJ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt Projekte in dieser Datenbank zu ndern!"},

        {"DELETEQUESTION_NOVALIDSELECTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"DELETEQUESTION_NOTFOUND", "Die zu lschende Frage konnte nicht gefunden werden!"},
        {"DELETEQUESTION_DELETED", "Die Frage wurde gelscht!"},
        {"DELETEQUESTION_NOMODIFYPERM", "Leider sind Sie nicht berechtigt Fragen in dieser Datenbank zu ndern!"},

        {"DELETETOPIC_NOVALIDSELECTION", "Bitte whlen Sie ein vorhandenes Thema."},
        {"DELETETOPIC_NOTFOUND", "Das zu lschende Thema konnte nicht gefunden werden!"},
        {"DELETETOPIC_DELETED", "Das Thema wurde gelscht!"},
        {"DELETETOPIC_NOMODIFYPERM", "Leider sind Sie nicht berechtigt die Themen in dieser Datenbank zu ndern!"},

        {"JLOGINUSER_KEYNOTVALID", "Leider ist der von Ihnen eingegebene Authorisierungscode nicht korrekt."},
        {"JLOGINUSER_WELCOME", "Herzlich Willkommen! Ihre Registrierung wurde besttigt. Sie haben nun freien Zugang zu diesem System."},
        {"JLOGINUSER_NAMENOTVALID", "Leider ist dieser Benutzername nicht gltig. Bitte vergewissern Sie sich da Sie die richtige URL aus Ihrer E-Mail eingegeben haben oder lassen Sie sich erneut registrieren."},
        {"JLOGINUSER_CONFIRMFIRST", "Leider mssen Sie erst Ihren Zugang besttigen lassen bevor Sie sich anmelden."},
        {"JLOGINUSER_NOAUTHUSERROLE", "FEHLER: Das System kann Ihnen die angeforderten Rechte nicht erteilten: 'The role authenticated_user does not exist in database.' Bitte benachrichtigen Sie den Administrator des Servers."},

        {"LOGOUTUSER_THANKS", "Vielen Dank fr Ihren Besuch. Bitte kommen Sie bald wieder."},

        {"SENDCONFIRMATIONEMAIL_BODY1", "Herzlich Willkommen bei Jyve\n\n" +
                                      "Ihr neuer Zugang wurde erstellt.\n\n" +
                                      "Dies ist Ihr Authorisierungscode:\n\n"},

        {"SENDCONFIRMATIONEMAIL_BODY2", "Bei dieser URL knnen Sie ihren Zugang besttigen lassen:\n\n"},
        {"SENDCONFIRMATIONEMAIL_SENT", "Ihre Registrierung wurde abgeschickt!"},
        {"SENDCONFIRMATIONEMAIL_ERROR", "Ihre Registrierung konnte nicht abgeschickt werden: "}, 

        {"SENDUSEREMAIL_IDNOTVALID", "Bitte geben Sie eine gltige User ID ein."},
        {"SENDUSEREMAIL_EMAILNOTVALID" , "Dieser Nutzer hat derzeit keine gltige E-Mail Adresse."},
        {"SENDUSEREMAIL_FILLTHEFORM",  "Bitte fllen Sie die freien Felder in diesem Formular aus."},
        {"SENDUSEREMAIL_SENT", "Ihre E-Mail wurde gesendet!"},

        {"SESSIONVALIDATOR_SESSIONNOTVALID", "Ein Fehler liegt vor, Ihre Sitzung ist gltig, aber Ihre momentane Position im System ist nicht korrekt."},

        {"SHOWEDIT_MUSTLOGIN", "Sie mssen Sich erst anmelden bevor Sie die Felder ausfllen knnen."},

        {"UPDATEACCOUNT_NOTLOGGEDIN", "Sie mssen sich erst anmelden bevor Sie die Zugangsinformationen aktualisieren knnen."},
        {"UPDATEACCOUNT_PWNOTMATCH", "Leider stimmen die Passwrter nicht berein."},
        {"UPDATEACCOUNT_NOFIRSTNAME", "Sie mssen noch Ihren Vornamen eingeben."},
        {"UPDATEACCOUNT_NOLASTNAME", "Sie mssen noch Ihren Nachnamen eingeben."},
        {"UPDATEACCOUNT_NOEMAIL", "Sie mssen noch eine gltige E-Mail Adresse eingeben."},
        {"UPDATEACCOUNT_DONE", "Ihr Zugan wurde aktualisiert!"},
        {"UPDATEACCOUNT_NOUSER", "Es konnte kein Nutzer gefunden werden."},
        {"UPDATEACCOUNT_NEWEMAILCONFIRM", "Sie haben Ihre E-Mail Adresse gendert. Sie mssen Sie nochmal besttigen um dieses System weiter benutzen zu knnen. Bitte berprfen Sie Ihren E-Mail Account."},

        {"UPDATEANSWER_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"UPDATEANSWER_NOVALIDANSWER", "Bitte whlen Sie eine vorhandene Antwort aus."},
        {"UPDATEANSWER_UNTITLEDQ", "Diese Frage hat keine berschrift"},
        {"UPDATEANSWER_ANSWERDELETE", "Gelscht!"},
        {"UPDATEANSWER_ANSWERUPDATE", "Gendert!"},
        {"UPDATEANSWER_ANSWER", "Antwort "},
        {"UPDATEANSWER_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese Antwort zu ndern!"},

        {"UPDATEFAQ_NOVALIDFAQ", "Bitte whlen Sie eine vorhandene FAQ aus."},
        {"UPDATEFAQ_UNTITLEDF", "Diese FAQ hat keine berschrift"},
        {"UPDATEFAQ_FAQDELETE", "Gelscht!"},
        {"UPDATEFAQ_FAQUPDATE", "Gendert!"},
        {"UPDATEFAQ_FAQ", "FAQ "},
        {"UPDATEFAQ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese FAQ zu ndern!"},

        {"UPDATEPRJ_NOVALIDPRJ", "Bitte whlen Sie ein vorhandenes Projekt aus."},
        {"UPDATEPRJ_UNTITLEDP", "Dieses Projekt hat keine berschrift"},
        {"UPDATEPRJ_PRJDELETE", "Gelscht!"},
        {"UPDATEPRJ_PRJUPDATE", "Gendert!"},
        {"UPDATEPRJ_PROJECT", "Projekt "},
        {"UPDATEPRJ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt dieses Projekt zu ndern!"},

        {"UPDATEQUESTION_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"UPDATEQUESTION_UNTITLEDQ", "Diese Frage hat keine berschrift"},
        {"UPDATEQUESTION_QUESTIONDELETE", "Gelscht!"},
        {"UPDATEQUESTION_QUESTIONUPDATE", "Gendert!"},
        {"UPDATEQUESTION_QUESTION", "Frage "},
        {"UPDATEQUESTION_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese Frage zu ndern!"},

        {"UPDATETOPIC_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"UPDATETOPIC_UNTITLEDT", "Dieses Thema hat keine berschrift"},
        {"UPDATETOPIC_TOPICDELETE", "Gelscht!"},
        {"UPDATETOPIC_TOPICUPDATE", "Gendert!"},
        {"UPDATETOPIC_TOPIC", "Thema "},
        {"UPDATETOPIC_NOMODIFYPERM", "Leider sind Sie nicht berechtigt dieses Thema zu ndern!"},

        
        {"RELEASE_PRJ_NORELEASEPERM", "Leider sind Sie nicht berechtigt dieses Projekt freizugeben!"},
        {"RELEASE_FAQ_NORELEASEPERM", "Leider sind Sie nicht berechtigt diese FAQ freizugeben!"},
        {"RELEASE_TOPIC_NORELEASEPERM", "Leider sind Sie nicht berechtigt dieses Thema freizugeben!"},
        {"RELEASE_QUESTION_NORELEASEPERM", "Leider sind Sie nicht berechtigt diese Frage freizugeben!"},
        {"RELEASE_ANSWER_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese Antwort freizugeben!"},

        {"RELEASE_PRJ_NOVALIDPRJ", "Bitte whlen Sie ein vorhandenes Projekt aus."},
        {"RELEASE_FAQ_NOVALIDFAQ", "Bitte whlen Sie eine vorhandene FAQ aus."},
        {"RELEASE_TOPIC_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"RELEASE_QUESTION_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"RELEASE_ANSWER_NOVALIDANSWER", "Bitte whlen Sie eine vorhandene Antwort aus."},

        {"RELEASE_PRJ_PRJRELEASED", "Projekt freigegeben!"},
        {"RELEASE_FAQ_FAQRELEASED", "FAQ freigegeben!"},
        {"RELEASE_TOPIC_TOPICRELEASED", "Thema freigegeben!"},
        {"RELEASE_QUESTION_QUESTIONRELEASED", "Frage freigegeben!"},
        {"RELEASE_ANSWER_ANSWERRELEASED", "Antwort freigegeben!"},

        
// org.apache.jyve.navigations

        {"OPTIONSFOOTER_OPTIONS", "Optionen:"},
        {"OPTIONSFOOTER_HIDEEDIT", "[Bearbeitungsbefehle verbergen]"},
        {"OPTIONSFOOTER_SHOWEDIT", "[Bearbeitungsbefehle anzeigen]"},
        {"OPTIONSFOOTER_LOGOUT", "[Abmelden]"},
        {"OPTIONSFOOTER_LOGIN", "[Anmelden]"},
        {"OPTIONSFOOTER_HOME", "[Home]"},
        {"OPTIONSFOOTER_SEARCH", "[Suchen]"},
        {"OPTIONSFOOTER_LISTUNRELEASED", "[Nicht freigegebene auflisten]"},
        {"OPTIONSFOOTER_EDITACCOUNT", "[Zugang barbeiten]"},

        {"TOPBAR_PROJECTSTITLE", "Projekt:"},
        {"TOPBAR_FAQTITLE", "FAQ:"},
        {"TOPBAR_TOPICTITLE", "Thema:"},

        {"PREVNEXTQ_PREVQUESTION", "Vorherige: "},
        {"PREVNEXTQ_PREVTOPIC", "Letztes Thema: "},
        {"PREVNEXTQ_FIRSTQUESTION", "Erste Frage im ersten Thema"},
        {"PREVNEXTQ_NEXTQUESTION", "Nchste: "},
        {"PREVNEXTQ_NEXTTOPIC", "Nchstes Thema: "},
        {"PREVNEXTQ_LASTQUESTION", "Letzte Frage im letzten Thema"},
        {"PREVNEXTQ_CURRENTTOPIC", "Momentanes Thema: "},
        {"PREVNEXTQ_OPENBRACKET", "[ "},
        {"PREVNEXTQ_CLOSEBRACKET", " ]"},
        {"PREVNEXTQ_BRACKETSPLIT", " ] [ "},

// org.apache.jyve.screens

        {"CONFIRMREGISTRATION_TITLE", "Jyve - Registrierung besttigen"},
        {"CONFIRMREGISTRATION_NOUSERNAME", "Sie mssen einen Benutzernamen haben."},
        {"CONFIRMREGISTRATION_MESSAGE",  "Bitte rufen Sie Ihre E-Mails ab und tragen Sie Ihren Authorisierungscode ein um Ihre Registrierung zu besttigen:"},
        {"CONFIRMREGISTRATION_SECRETKEYTITLE", "Authorisierungs-code:"},
        {"CONFIRMREGISTRATION_CANCEL", "Felder lschen"},
        {"CONFIRMREGISTRATION_CONFIRM", "Registrierung besttigen"},

        {"DISPLAYFAQS_TITLE", "Jyve - FAQs"},
        {"DISPLAYFAQS_NOVALIDPRJ", "Leider mssen Sie erst ein Projekt auswhlen."},
        {"DISPLAYFAQS_CHOOSEFAQMSG", "Bitte whlen Sie eine FAQ aus: "},
        {"DISPLAYFAQS_MODIFY", "[ndern]"},
        {"DISPLAYFAQS_RELEASE", "[Freigeben]"},
        {"DISPLAYFAQS_NOFAQ", "Leider gibt es zu diesem Projekt derzeit keine FAQ."},
        {"DISPLAYFAQS_ADDNEWFAQ", "[Neue FAQ hinzufgen]"},

        {"DISPLAYONETOPIC_TITLE", "Jyve - Ein Thema"},
        {"DISPLAYONETOPIC_NOVALIDPRJ", "Leider mssen Sie erst ein Projekt auswhlen."},
        {"DISPLAYONETOPIC_NOVALIDFAQTOPIC", "Leider mssen Sie erst das Thema fr die FAQ auswhlen."},
        {"DISPLAYONETOPIC_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"DISPLAYONETOPIC_CHOOSEQUESTIONFROMTOPIC", "Bitte whlen Sie eine Frage zum unteren Thema aus: "},
        {"DISPLAYONETOPIC_ADDNEWQUESTION", "[Neue Frage hinzufgen]"},
        {"DISPLAYONETOPIC_MODIFYTOPIC", "[Dieses Thema ndern]"},
        {"DISPLAYONETOPIC_RELEASETOPIC", "[Dieses Thema freigeben]"},
        
        {"DISPLAYPROJECTS_TITLE", "Jyve - Projekte"},
        {"DISPLAYPROJECTS_CHOOSEPRJMSG", "Bitte whlen Sie ein Projekt aus:"},
        {"DISPLAYPROJECTS_NOPRJ", "Leider sind derzeit keine Projekte vorhanden."},
        {"DISPLAYPROJECTS_MODIFY", "[ndern]"},
        {"DISPLAYPROJECTS_RELEASE", "[Freigeben]"},
        {"DISPLAYPROJECTS_ADDNEWPRJ", "[Neues Projekt hinzufgen]"},

        {"DISPLAYQUESTIONANSWER_TITLE", "Jyve - Fragen und Antworten"},
        {"DISPLAYQUESTIONANSWER_NOANSWER", "Leider gibt es keine Antwort auf diese Frage."},
        {"DISPLAYQUESTIONANSWER_NOQUESTION", "Leider gibt es diese Frage nicht."},
        {"DISPLAYQUESTIONANSWER_MODIFY", "[ndern]"},
        {"DISPLAYQUESTIONANSWER_RELEASE", "[Freigeben]"},
        {"DISPLAYQUESTIONANSWER_LASTMOD", "Letzte nderung: "},
        {"DISPLAYQUESTIONANSWER_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"DISPLAYQUESTIONANSWER_NOVALIDQUESTION", "."},
        {"DISPLAYQUESTIONANSWER_ADDANSWER", "[Neue Antwort hinzufgen]"},

        {"DISPLAYTOPICS_TITLE", "Jyve - Themen"},
        {"DISPLAYTOPICS_NOVALIDPRJ", "Leider mssen Sie erst ein Projekt auswhlen."},
        {"DISPLAYTOPICS_NOVALIDFAQTOPIC", "Leider mssen Sie erst ein FAQ-Thema auswhlen."},
        {"DISPLAYTOPICS_CHOOSETORQ", "Bitte whlen Sie ein Thema oder eine Frage aus: "},
        {"DISPLAYTOPICS_ADDNEWTOPIC", "[Neues Thema hinzufgen]"},
        {"DISPLAYTOPICS_NOTOPICS", "Leider gibt es keine Themen zu dieser FAQ."},

        {"DISPLAYUSER_TITLE", "Jyve - Nutzer anzeigen"},
        {"DISPLAYUSER_INFOMSG", "Hier die von Ihnen gewnschten Informationen: "},
        {"DISPLAYUSER_NAMEMSG", "Name: "},
        {"DISPLAYUSER_LOGINMSG", "Letzte Anmeldung: "},
        {"DISPLAYUSER_WARNING", "Bitte verwenden Sie dieses Formular nicht fr Fragen an den Technik-Support. " +
                        "Leider ist es uns nicht mglich alle Fragen einzeln zu beantworten. " +
                        "Wenn Sie Fragen fr den Technischen Support ber dieses System senden werden sie wahrscheinlich nicht beantwortet. Sie sollten Ihre Fragen ber die passende Mailing-Liste " +
                        "stellen."},
        {"DISPLAYUSER_SENDMAILMSG", "Eine E-Mail an den folgenden Nutzer senden:"},
        {"DISPLAYUSER_USERNAMEMSG", "Ihr Name: "},
        {"DISPLAYUSER_EMAILMSG", "Ihre E-Mail Adresse: "},
        {"DISPLAYUSER_SUBJECTMSG", "Thema: " },
        {"DISPLAYUSER_BODYMSG", "Nachricht: "},
        {"DISPLAYUSER_CANCEL", "Abbrechen"},
        {"DISPLAYUSER_SENDMAIL", "E-Mail senden"},

        {"EDITACCOUNT_TITLE", "Jyve - Zugang aktualisieren"},
        {"EDITACCOUNT_NOTLOGGEDIN", "Leider mssen Sie sich erst anmelden bevor Sie diese Seite aufrufen knnen."},
        {"EDITACCOUNT_USERNAMEMSG", "Benutzername:"},
        {"EDITACCOUNT_PASSWORDMSG", "Passwort:"},
        {"EDITACCOUNT_PASSWORDCONFIRMMSG",  "Passwort (nochmal zur Besttigung):"},
        {"EDITACCOUNT_FIRSTNAMEMSG", "Vorname:"},
        {"EDITACCOUNT_LASTNAMEMSG", "Nachname:"},
        {"EDITACCOUNT_EMAILMSG",  "Email:"},
        {"EDITACCOUNT_CANCEL", "Abbrechen"},
        {"EDITACCOUNT_CREATE", "Zugang aktualisieren"},
            
        {"EDITANSWER_TITLE", "Antwort ndern"},
        {"EDITANSWER_CANCEL", "Abbrechen"},
        {"EDITANSWER_DELETE", "Lschen"},
        {"EDITANSWER_SAVE", "Speichern"},
        {"EDITANSWER_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"EDITANSWER_NOVALIDANSWER", "Bitte whlen Sie eine vorhandene Antwort aus."},
        {"EDITANSWER_CHANGEANSWERMSG", "Andere Antwort auf diese Frage:"},
        {"EDITANSWER_ORDERNUMMSG", "Ordnungszahl: "},
        {"EDITANSWER_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese Antwort zu ndern!"},

        {"EDITFAQ_TITLE", "FAQ ndern"},
        {"EDITFAQ_CANCEL", "Abbrechen"},
        {"EDITFAQ_DELETE", "Lschen"},
        {"EDITFAQ_SAVE", "Speichern"},
        {"EDITFAQ_NOVALIDFAQ", "Bitte whlen Sie eine vorhandene FAQ aus."},
        {"EDITFAQ_CHANGEFAQMSG", "Andere FAQ:"},
        {"EDITFAQ_ORDERNUMMSG", "Ordnungszahl: "},
        {"EDITFAQ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese FAQ zu ndern!"},

        {"EDITPRJ_TITLE", "Projekt bearbeiten"},
        {"EDITPRJ_CANCEL", "Abbrechen"},
        {"EDITPRJ_DELETE", "Lschen"},
        {"EDITPRJ_SAVE", "Speichern"},
        {"EDITPRJ_CHOOSETOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"EDITPRJ_CHANGEPRJMSG", "Projekt ndern:"},
        {"EDITPRJ_ORDERNUMMSG", "Ordnungszahl: "},
        {"EDITPRJ_NOMODIFYPERM", "Leider sind Sie nicht berechtigt dieses Projekt zu ndern!"},

        {"EDITQUESTION_TITLE", "Frage ndern"},
        {"EDITQUESTION_CANCEL", "Abbrechen"},
        {"EDITQUESTION_DELETE", "Lschen"},
        {"EDITQUESTION_SAVE", "Speichern"},
        {"EDITQUESTION_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"EDITQUESTION_CHANGEQUESTIONMSG", "Frage ndern:"},
        {"EDITQUESTION_ORDERNUMMSG", "Ordnungszahl: "},
        {"EDITQUESTION_NOMODIFYPERM", "Leider sind Sie nicht berechtigt diese Frage zu ndern!"},

        {"EDITTOPIC_CANCEL", "Abbrechen"},
        {"EDITTOPIC_DELETE", "Lschen"},
        {"EDITTOPIC_SAVE", "Speichern"},
        {"EDITTOPIC_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"EDITTOPIC_CHANGETOPICMSG", "Anderes Thema whlen:"},
        {"EDITTOPIC_ORDERNUMMSG", "Ordnungszahl: "},
        {"EDITTOPIC_NOMODIFYPERM", "Leider sind Sie nicht berechtigt dieses Thema zu ndern!"},

        {"LOGIN_TITLE", "Willkommen bei Jyve - Einwahl Seite!"},
        {"LOGIN_USERNAMEMSG",  "Benutzername:"},
        {"LOGIN_PASSWORDMSG", "Pawort:"},
        {"LOGIN_CREATENEWACCOUNT", "Neue Registrierung"},
        {"LOGIN_LOGINBTN", "Einwhlen"},

        {"MAINMENU_TITLE", "Willkommen bei Jyve FAQ!"},
        {"MAINMENU_WELCOMEMSG", "Willkommen "},

        {"NEWACCOUNT_TITLE", "Jyve - erneute Registrierung"},
        {"NEWACCOUNT_INFOMSG1", "Um eine neue Zugangsberechtigung zu erwerben, fllen Sie bitte alle untenstehenden Felder aus. "},
        {"NEWACCOUNT_INFOMSG2", "Nachdem Sie das Formular abgeschickt haben werden Sie eine E-Mail mit Ihrem Authorisierungs-code erhalten."},
        {"NEWACCOUNT_INFOMSG3", "Geben Sie den Authorisierungs-code, welchen Sie in der E-Mail erhalten haben auf der nchsten Seite ein um Ihre Registrierung innerhalb des Systems zu besttigen."},
        {"NEWACCOUNT_INFOEMAILMSG", "Sie mssen eine gltige E-Mail Adresse eingeben!"},
        {"NEWACCOUNT_USERNAMEMSG", "Benutzername:"},
        {"NEWACCOUNT_PASSWORDMSG", "Passwort:"},
        {"NEWACCOUNT_PASSWORDCONFIRMMSG",  "Passwort (nochmal zur Besttigung):"},
        {"NEWACCOUNT_FIRSTNAMEMSG", "Vorname:"},
        {"NEWACCOUNT_LASTNAMEMSG", "Nahchname:"},
        {"NEWACCOUNT_EMAILMSG",  "E-mail Adresse:"},
        {"NEWACCOUNT_CANCEL", "Abbrechen"},
        {"NEWACCOUNT_CREATE", "Neue Registrierung"},
       
        {"NEWANSWER_NOVALIDQUESTION", "Bitte whlen Sie eine vorhandene Frage aus."},
        {"NEWANSWER_TITLE", "Neue Antwort hinzufgen"},
        {"NEWANSWER_ADDNEWANSWERMSG", "Eine neue Antwort zu dieser Frage hinzufgen:"},
        {"NEWANSWER_CANCEL", "Abbrechen"},
        {"NEWANSWER_SAVE", "Speichern"},
        {"NEWANSWER_TYPE_HTMLTEXTMSG", "Html Text"},
        {"NEWANSWER_TYPE_PLAINTEXTMSG", "Standard Text"},
        {"NEWANSWER_ORDERNUMMSG", "Ordnungszahl: "},
        {"NEWANSWER_NOADDPERM", "Leider sind Sie nicht berechtigt neue Antworten hinzuzufgen!"},
         
        {"NEWFAQ_NOVALIDPROJECT", "Bitte whlen Sie ein vorhandenes Projekt aus."},
        {"NEWFAQ_TITLE", "Neue FAQ hinzufgen"},
        {"NEWFAQ_ADDNEWFAQMSG", "Neue FAQ hinzufgen:"},
        {"NEWFAQ_CANCEL", "Abbrechen"},
        {"NEWFAQ_SAVE", "Speichern"},
        {"NEWFAQ_ORDERNUMMSG",  "Ordnungszahl: "},
        {"NEWFAQ_NOADDPERM", "Lieder sind Sie nicht berechtigt neue Fragen hinzuzufgen!"},

        {"NEWPRJ_TITLE", "Neues Projekt hinzufgen"},
        {"NEWPRJ_ADDNEWPRJMSG", "Neues Projekt hinzufgen:"},
        {"NEWPRJ_CANCEL", "Abbrechen"},
        {"NEWPRJ_SAVE", "Speichern"},
        {"NEWPRJ_ORDERNUMMSG", "Ordnungszahl: "},
        {"NEWPRJ_NOADDPERM", "Leider sind Sie nicht berechtigt neue Projekte hinzuzufgen!"},

        {"NEWQUESTION_TITLE", "Neue Frage hinzufgen"},
        {"NEWQUESTION_NOVALIDFAQ", "Leider mssen Sie erst ein FAQ-Thema auswhlen."},
        {"NEWQUESTION_NOVALIDTOPIC", "Bitte whlen Sie ein vorhandenes Thema aus."},
        {"NEWQUESTION_ADDNEWQUESTIONMSG", "Neue Frage hinzufgen:"},
        {"NEWQUESTION_CANCEL", "Abbrechen"},
        {"NEWQUESTION_SAVE", "Speichern"},
        {"NEWQUESTION_ORDERNUMMSG", "Ordnungszahl: "},
        {"NEWQUESTION_NOADDPERM", "Leider sind Sie nicht berechtigt neue Fragen hinzuzufgen!"},

        {"NEWTOPIC_TITLE", "Neues Thema hinzufgen"},
        {"NEWTOPIC_NOVALIDFAQ", "Bitte whlen Sie eine vorhandene FAQ aus."},
        {"NEWTOPIC_ADDNEWTOPICMSG", "Neues Thema hinzufgen:"},
        {"NEWTOPIC_CANCEL", "Abbrechen"},
        {"NEWTOPIC_SAVE", "Speichern"},
        {"NEWTOPIC_ORDERNUMMSG", "Ordnungszahl: "},
        {"NEWTOPIC_NOADDPERM", "Leider sind Sie nicht berechtigt neue Themen hinzuzufgen!"},

        {"SEARCHGLOBAL_TITLE", "Jyve - erweiterte Suche!"},
        {"SEARCHGLOBAL_SEARCHMSG", "Suchen: "},
        {"SEARCHGLOBAL_SEARCHBTN", "Suchen!"},

        {"SEARCHRESULTS_TITLE", "Jyve - Suchergebnisse!"},
        {"SEARCHRESULTS_SEARCHRESULTMSG", "Suchergebnisse:"},
        {"SEARCHRESULTS_NOVALIDSEARCH", "Bitte verfeinern Sie Ihre Suche!"},
        {"SEARCHRESULTS_PROJECTMSG", "Projekt:"},
        {"SEARCHRESULTS_FAQMSG", "FAQ:"},
        {"SEARCHRESULTS_TOPICMSG", "Thema:"},
        {"SEARCHRESULTS_QUESTIONMSG", "Frage:"},
        {"SEARCHRESULTS_NOMATCHMSG", "Leider wurden zu Ihrer Suchanfrage keine Ergebnisse gefunden!"},
        {"SEARCHRESULTS_TOTALMSG", "Insgesamt: "},

        {"DISPLAYUNRELEASED_TITLE", "Jyve - Nicht freigegebene Eintrge!"},
        {"DISPLAYUNRELEASED_LISTOFMSG", "Liste von nicht freigegebenen Eintrgen:"},
        {"DISPLAYUNRELEASED_PROJECTMSG", "Projekt:"},
        {"DISPLAYUNRELEASED_FAQMSG", "FAQ:"},
        {"DISPLAYUNRELEASED_TOPICMSG", "Thema:"},
        {"DISPLAYUNRELEASED_QUESTIONMSG", "Frage:"},
        {"DISPLAYUNRELEASED_NOMATCHMSG", "Keine nicht freigegebenen Eintrge gefunden!"},
        {"DISPLAYUNRELEASED_TOTALMSG", "Total: "},
        
        {"", ""}
    };
}
