package org.apache.jyve.localization;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

/** This class has been added 17.01.2000 by [jm],mediaphil digital media
    Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a>
    Please contact me if you have any questions, which ARE NOT ANSWERED
    by the Java Localization/Internationalization Documentation.
    
    French version by Benot Rigaut 
    <a href="mailto:benoit@rigaut.org">benoit@rigaut.org</a>.
*/              

/** @author Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a> */
/** @author Benot Rigaut <a href="mailto:benoit@rigaut.org">benoit@rigaut.org</a> */

import java.util.*;

/**
    This is the topmost node of our Resourcetree. It currently implements the default
    language which is english (US). It also serves as a fallback if a localized resourcebundle
    does not translate all resources.
*/

public class JyveLocalization_fr extends ListResourceBundle
{
    /** returns the localized array to a java.util.ResourceBundle object. */
    public Object[][] getContents()
    {
        return contents;
    }

    /** If you want to localize Jyve to another language, localize this Array */
    static final Object[][] contents = {

        /* 
            This first entry specifies whoever made this localization and 
            is therefor responsible for it. If another person agrees on 
            maintaining this localization, enter his/her name here. You 
            probably may put an "UNSUPPORTED" there, too.
        */
        {"LOCALIZATION_MAINTAINER", "Benot Rigaut <benoit@rigaut.org>"},

// org.apache.jyve.actions

        {"ADDNEWANSWER_UNTITLED", "Rponse sans titre"},
        {"ADDNEWANSWER_NEWANSWER", "Rponse ajoute&nbsp;!"},
        {"ADDNEWANSWER_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouvelles rponses&nbsp;!"},

        {"ADDNEWFAQ_CHOOSEPRJ", "Dsol, vous devez d'abord choisir un projet."},
        {"ADDNEWFAQ_UNTITLEDFAQ", "FAQ sans titre"},
        {"ADDNEWFAQ_FAQCREATE", "FAQ ajoute&nbsp;!"},
        {"ADDNEWFAQ_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouvelles FAQ&nbsp;!"},

        {"ADDNEWPRJ_UNTITLEDPRJ", "Projet sans titre"},
        {"ADDNEWPRJ_CREATE", "Projet ajout&nbsp;!"},
        {"ADDNEWPRJ_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouveaux projets&nbsp;!"},

        {"ADDNEWQUESTION_UNTITLEDQ", "Question sans titre"},
        {"ADDNEWQUESTION_CREATE", "Question ajoute&nbsp;!"},
        {"ADDNEWQUESTION_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouvelles questions&nbsp;!"},

        {"ADDNEWTOPIC_CHOOSETOPIC", "Dsol, vous devez d'abord choisir un sujet de FAQ."},
        {"ADDNEWTOPIC_UNTITLEDT", "Sujet sans titre"},
        {"ADDNEWTOPIC_CREATE", "Sujet ajout&nbsp;!"},
        {"ADDNEWTOPIC_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouveaux sujets&nbsp;!"},

        {"CREATENEWUSERANDCONFIRM_PWNOTMATCH", "Dsol, les mots de passe ne correspondent pas."},
        {"CREATENEWUSERANDCONFIRM_NOUSERNAME", "Dsol, vous devez fournir un identifiant."},
        {"CREATENEWUSERANDCONFIRM_NOEMAIL", "Dsol, vous devez fournir une adresse email valide."},
        {"CREATENEWUSERANDCONFIRM_CHOOSENEWNAME", "Dsol, cet identifiant existe dj. Merci d'en choisir un autre."},
        {"CREATENEWUSERANDCONFIRM_CREATE", "Votre nouveau compte a t cr&nbsp;!"},

        {"DELETEANSWER_NOVALIDSELECTION", "Merci de choisir un rponse valide."},
        {"DELETEANSWER_NOTFOUND", "La rponse  effacer n'a pas t trouve&nbsp;!"},
        {"DELETEANSWER_DELETED", "Rponse Efface&nbsp;!"},
        {"DELETEANSWER_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier les rponses&nbsp;!"},

        {"DELETEFAQ_NOVALIDSELECTION", "Merci de choisir une FAQ valide."},
        {"DELETEFAQ_NOTFOUND", "La FAQ  effacer n'a pas t trouve&nbsp;!"},
        {"DELETEFAQ_DELETED", "FAQ Efface&nbsp;!"},
        {"DELETEFAQ_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier les FAQ&nbsp;!"},

        {"DELETEPRJ_NOVALIDSELECTION", "Merci de choisir un projet valide."},
        {"DELETEPRJ_NOTFOUND", "Le projet  effacer n'a pas t trouv&nbsp;!"},
        {"DELETEPRJ_DELETED", "Projet Effac&nbsp;!"},
        {"DELETEPRJ_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier les projets&nbsp;!"},

        {"DELETEQUESTION_NOVALIDSELECTION", "Merci de choisir une question valide."},
        {"DELETEQUESTION_NOTFOUND", "La question  effacer n'a pu tre trouve&nbsp;!"},
        {"DELETEQUESTION_DELETED", "Question Efface&nbsp;!"},
        {"DELETEQUESTION_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier les questions&nbsp;!"},

        {"DELETETOPIC_NOVALIDSELECTION", "Merci de choisir un sujet valide."},
        {"DELETETOPIC_NOTFOUND", "Le sujet  effacer n'a pu tre trouv&nbsp;!"},
        {"DELETETOPIC_DELETED", "Sujet Effac&nbsp;!"},
        {"DELETETOPIC_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier les sujets&nbsp;!"},

        {"JLOGINUSER_KEYNOTVALID", "Dsol, la clef secrte que vous avez fournie n'est pas valide."},
        {"JLOGINUSER_WELCOME", "Bienvenue&nbsp;! Votre enregistrement a t confirm. Vous tes maintenant en mesure d'utiliser le systme."},
        {"JLOGINUSER_NAMENOTVALID", "Dsol, cet identifiant n'est pas valide. Merci de vrifier que vous avez entr correctement l'URL fournie dans l'email, ou crez un nouveau compte."},
        {"JLOGINUSER_CONFIRMFIRST", "Dsol, vous devez d'abord confirmer ce compte avant de vous identifier."},
        {"JLOGINUSER_NOAUTHUSERROLE", "Le rle authenticated_user n'existe pas dans la base de donnes."},

        {"LOGOUTUSER_THANKS", "Merci d'avoir utilis le systme. A bientt."},

        {"SENDCONFIRMATIONEMAIL_BODY1", "Bienvenue sur Jyve\n\n" +
                                      "Votre nouveau compte a t cr.\n\n" +
                                      "Votre clef secrte est :\n\n"},

        {"SENDCONFIRMATIONEMAIL_BODY2", "Vous pouvez aller  l'URL suivante pour confirmer votre compte :\n\n"},
        {"SENDCONFIRMATIONEMAIL_SENT", "Email Envoy&nbsp;!"},
        {"SENDCONFIRMATIONEMAIL_ERROR", "Erreur  l'envoi de l'email&nbsp;: "}, 

        {"SENDUSEREMAIL_IDNOTVALID", "Merci de fournir un identifiant de visiteur valide."},
        {"SENDUSEREMAIL_EMAILNOTVALID" , "Cet utilisateur n'a pas actuellement une adresse email valide."},
        {"SENDUSEREMAIL_FILLTHEFORM",  "Merci de remplir les champs du formulaire suivant."},
        {"SENDUSEREMAIL_SENT", "Email Envoy&nbsp;!"},

        {"SESSIONVALIDATOR_SESSIONNOTVALID", "Il y a eu une erreur, votre session est valide, mais la variable d'cran n'est pas dfinie."},

        {"SHOWEDIT_MUSTLOGIN", "Vous devez vous identifier avant de pouvoir diter les contenus."},

        {"UPDATEACCOUNT_NOTLOGGEDIN", "Vous devez vous identifier avant de pouvoir modifier les informations de votre compte."},
        {"UPDATEACCOUNT_PWNOTMATCH", "Dsol, les mots de passe ne correspondent pas."},
        {"UPDATEACCOUNT_NOFIRSTNAME", "Dsol, vous devez fournir un prnom."},
        {"UPDATEACCOUNT_NOLASTNAME", "Dsol, vous devez fournir un nom de famille."},
        {"UPDATEACCOUNT_NOEMAIL", "Dsol, vous devez fournir une adresse email valide."},
        {"UPDATEACCOUNT_DONE", "Votre compte vient d'tre modifi&nbsp;!"},
        {"UPDATEACCOUNT_NOUSER", "Impossible de trouver un utilisateur correct."},
        {"UPDATEACCOUNT_NEWEMAILCONFIRM", "Vous avez chang d'adresse email. Vous devez re-confirmer afin de pouvoir continuer  utiliser le systme. Merci de regarder votre courrier."},

        {"UPDATEANSWER_NOVALIDQUESTION", "Merci de choisir une question valide."},
        {"UPDATEANSWER_NOVALIDANSWER", "Merci de choisir une rponse valide."},
        {"UPDATEANSWER_UNTITLEDQ", "Question sans titre"},
        {"UPDATEANSWER_ANSWERDELETE", "Efface&nbsp;!"},
        {"UPDATEANSWER_ANSWERUPDATE", "Modifie&nbsp;!"},
        {"UPDATEANSWER_ANSWER", "Rponse "},
        {"UPDATEANSWER_NOMODIFYPERM", "Dsol, vous navez pas la permission de modifier cette rponse&nbsp;!"},

        {"UPDATEFAQ_NOVALIDFAQ", "Merci de choisir une FAQ valide."},
        {"UPDATEFAQ_UNTITLEDF", "FAQ sans titre"},
        {"UPDATEFAQ_FAQDELETE", "Efface&nbsp;!"},
        {"UPDATEFAQ_FAQUPDATE", "Modifie&nbsp;!"},
        {"UPDATEFAQ_FAQ", "FAQ "},
        {"UPDATEFAQ_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier cette FAQ&nbsp;!"},

        {"UPDATEPRJ_NOVALIDPRJ", "Merci de choisir un Projet valide."},
        {"UPDATEPRJ_UNTITLEDP", "Projet sans titre"},
        {"UPDATEPRJ_PRJDELETE", "Effac&nbsp;!"},
        {"UPDATEPRJ_PRJUPDATE", "Modifi&nbsp;!"},
        {"UPDATEPRJ_PROJECT", "Projet "},
        {"UPDATEPRJ_NOMODIFYPERM", "Dsole, vous n'avez pas la permission de modifier ce projet&nbsp;!"},

        {"UPDATEQUESTION_NOVALIDQUESTION", "Merci de choisir une Question valide."},
        {"UPDATEQUESTION_UNTITLEDQ", "Question sans titre"},
        {"UPDATEQUESTION_QUESTIONDELETE", "Efface&nbsp;!"},
        {"UPDATEQUESTION_QUESTIONUPDATE", "Modifie&nbsp;!"},
        {"UPDATEQUESTION_QUESTION", "Question "},
        {"UPDATEQUESTION_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier cette question&nbsp;!"},

        {"UPDATETOPIC_NOVALIDTOPIC", "Merci de choisir un Sujet valide."},
        {"UPDATETOPIC_UNTITLEDT", "Sujet sans titre"},
        {"UPDATETOPIC_TOPICDELETE", "Effac&nbsp;!"},
        {"UPDATETOPIC_TOPICUPDATE", "Modifi&nbsp;!"},
        {"UPDATETOPIC_TOPIC", "Sujet "},
        {"UPDATETOPIC_NOMODIFYPERM", "Dsole, vous n'avez pas la permission de modifier ce sujet&nbsp;!"},


        {"RELEASE_PRJ_NORELEASEPERM", "Dsol, vous n'avez pas la permission de publier ce projet&nbsp;!"},
        {"RELEASE_FAQ_NORELEASEPERM", "Dsol, vous n'avez pas la permission de publier cette FAQ&nbsp;!"},
        {"RELEASE_TOPIC_NORELEASEPERM", "Dsol, vous n'avez pas la permission de publier ce sujet&nbsp;!"},
        {"RELEASE_QUESTION_NORELEASEPERM", "Dsol, vous n'avez pas la permission de publier ctte question&nbsp;!"},
        {"RELEASE_ANSWER_NORELEASEPERM", "Dsol, vous n'avez pas la permission de publier cette rponse&nbsp;!"},

        {"RELEASE_PRJ_NOVALIDPRJ", "Merci de choisir un Projet valide."},
        {"RELEASE_FAQ_NOVALIDFAQ", "Merci de choisir une FAQ valide."},
        {"RELEASE_TOPIC_NOVALIDTOPIC", "Merci de choisir un Sujet valide."},
        {"RELEASE_ANSWER_NOVALIDANSWER", "Merci de choisir une rponse valide."},
        {"RELEASE_QUESTION_NOVALIDQUESTION", "Merci de choisir une question valide."},
        
        {"RELEASE_PRJ_PRJRELEASED", "Projet publi&nbsp;!"},
        {"RELEASE_FAQ_FAQRELEASED", "FAQ publie&nbsp;!"},
        {"RELEASE_TOPIC_TOPICRELEASED", "Sujet publi&nbsp;!"},
        {"RELEASE_QUESTION_QUESTIONRELEASED", "Question publie&nbsp;!"},
        {"RELEASE_ANSWER_ANSWERRELEASED", "Rponse publie&nbsp;!"},

        
// org.apache.jyve.navigations

        {"OPTIONSFOOTER_OPTIONS", "Options&nbsp;:"},
        {"OPTIONSFOOTER_HIDEEDIT", "[Cacher les Commandes d'Edition]"},
        {"OPTIONSFOOTER_SHOWEDIT", "[Afficher les Commandes d'Edition]"},
        {"OPTIONSFOOTER_LOGOUT", "[Deconnexion]"},
        {"OPTIONSFOOTER_LOGIN", "[Identification]"},
        {"OPTIONSFOOTER_HOME", "[Accueil]"},
        {"OPTIONSFOOTER_SEARCH", "[Recherche]"},
        {"OPTIONSFOOTER_LISTUNRELEASED", "[Lister les non-publis]"},
        {"OPTIONSFOOTER_EDITACCOUNT", "[Editer son compte]"},

        {"TOPBAR_PROJECTSTITLE", "Projet&nbsp;:"},
        {"TOPBAR_FAQTITLE", "FAQ&nbsp;:"},
        {"TOPBAR_TOPICTITLE", "Sujet&nbsp;:"},

        {"PREVNEXTQ_PREVQUESTION", "Previous: "},
        {"PREVNEXTQ_PREVTOPIC", "Previous Topic: "},
        {"PREVNEXTQ_FIRSTQUESTION", "First question in first topic"},
        {"PREVNEXTQ_NEXTQUESTION", "Next: "},
        {"PREVNEXTQ_NEXTTOPIC", "Next Topic: "},
        {"PREVNEXTQ_LASTQUESTION", "Last question in last topic"},
        {"PREVNEXTQ_CURRENTTOPIC", "Current Topic: "},
        {"PREVNEXTQ_OPENBRACKET", "[ "},
        {"PREVNEXTQ_CLOSEBRACKET", " ]"},
        {"PREVNEXTQ_BRACKETSPLIT", " ] [ "},

// org.apache.jyve.screens

        {"CONFIRMREGISTRATION_TITLE", "Jyve - Confirmation d'Enregistrement"},
        {"CONFIRMREGISTRATION_NOUSERNAME", "Dsol, un identifiant doit tre fourni."},
        {"CONFIRMREGISTRATION_MESSAGE",  "Merci de vrifier votre email et de fournir votre clef secrte pour confirmer votre enregistrement&nbsp;:"},
        {"CONFIRMREGISTRATION_SECRETKEYTITLE", "Clef Secrte:"},
        {"CONFIRMREGISTRATION_CANCEL", "Annuler"},
        {"CONFIRMREGISTRATION_CONFIRM", "Confirmer l'Enregistrement"},

        {"DISPLAYFAQS_TITLE", "Jyve - les FAQ"},
        {"DISPLAYFAQS_NOVALIDPRJ", "Dsol, un projet doit tre d'abord choisi."},
        {"DISPLAYFAQS_CHOOSEFAQMSG", "Merci de choisir une FAQ&nbsp;: "},
        {"DISPLAYFAQS_MODIFY", "[Modifier]"},
        {"DISPLAYFAQS_RELEASE", "[Publier]"},
        {"DISPLAYFAQS_NOFAQ", "Dsol, il n'y a pas actuellement de FAQ disponible pour ce Projet."},
        {"DISPLAYFAQS_ADDNEWFAQ", "[Ajouter une Nouvelle FAQ]"},

        {"DISPLAYONETOPIC_TITLE", "Jyve - Un Sujet"},
        {"DISPLAYONETOPIC_NOVALIDPRJ", "Dsol, un Projet doit tre d'abord choisi."},
        {"DISPLAYONETOPIC_NOVALIDFAQTOPIC", "Dsol, un Sujet doit tre d'abord choisi."},
        {"DISPLAYONETOPIC_NOVALIDTOPIC", "Merci de choisr un sujet valide."},
        {"DISPLAYONETOPIC_CHOOSEQUESTIONFROMTOPIC", "Merci de choisir une question du sujet suivant&nbsp;: "},
        {"DISPLAYONETOPIC_ADDNEWQUESTION", "[Ajouter une Nouvelle Question]"},
        {"DISPLAYONETOPIC_MODIFYTOPIC", "[Modifier ce Sujet]"},
        {"DISPLAYONETOPIC_RELEASETOPIC", "[Publier ce sujet]"},

        {"DISPLAYPROJECTS_TITLE", "Jyve - Projets"},
        {"DISPLAYPROJECTS_CHOOSEPRJMSG", "Merci de choisir un projet&nbsp;:"},
        {"DISPLAYPROJECTS_NOPRJ", "Dsole, il n'y a pas actuellement de projet disponible."},
        {"DISPLAYPROJECTS_MODIFY", "[Modifier]"},
        {"DISPLAYPROJECTS_RELEASE", "[Publier]"},
        {"DISPLAYPROJECTS_ADDNEWPRJ", "[Ajouter un Nouveau Projet]"},

        {"DISPLAYQUESTIONANSWER_TITLE", "Jyve - Question et Rponses"},
        {"DISPLAYQUESTIONANSWER_NOANSWER", "Dsol, il n'y a pas de rponse  cette question."},
        {"DISPLAYQUESTIONANSWER_NOQUESTION", "Dsol, cette question n'existe pas."},
        {"DISPLAYQUESTIONANSWER_MODIFY", "[Modifier]"},
        {"DISPLAYQUESTIONANSWER_RELEASE", "[Publier]"},
        {"DISPLAYQUESTIONANSWER_LASTMOD", "Dernire Modif&nbsp;: "},
        {"DISPLAYQUESTIONANSWER_NOVALIDTOPIC", "Merci de choisir un sujet valide."},
        {"DISPLAYQUESTIONANSWER_NOVALIDQUESTION", "Merci de choisir une question valide."},
        {"DISPLAYQUESTIONANSWER_ADDANSWER", "[Ajouter une Nouvelle Rponse]"},

        {"DISPLAYTOPICS_TITLE", "Jyve - Sujets"},
        {"DISPLAYTOPICS_NOVALIDPRJ", "Dsol, un projet doit d'abord tre choisi."},
        {"DISPLAYTOPICS_NOVALIDFAQTOPIC", "Dsol, un Sujet de FAQ doit tre d'abord choisi."},
        {"DISPLAYTOPICS_CHOOSETORQ", "Merci de choisir un Sujet ou une Question&nbsp;: "},
        {"DISPLAYTOPICS_ADDNEWTOPIC", "[Ajouter un Nouveau Sujet]"},
        {"DISPLAYTOPICS_NOTOPICS", "Dsol, il n'y a pas de sujet dans cette FAQ."},

        {"DISPLAYUSER_TITLE", "Jyve - Affichage de l'utilisateur"},
        {"DISPLAYUSER_INFOMSG", "En dessous se trouve les informations demandes&nbsp;: "},
        {"DISPLAYUSER_NAMEMSG", "Nom&nbsp;: "},
        {"DISPLAYUSER_LOGINMSG", "Dernire utilisation&nbsp;: "},
        {"DISPLAYUSER_WARNING", "Merci de ne pas utiliser ceci comme un support technique. " +
                        "La raison est que nous n'avons pas ncessairement le temps d'aider le monde entier en rpondant individuellement  chacun.  " +
                        "Les questions de type support technique envoyes par ce systme seront probablement ignores. Vous devriez plutt vous inscrire  " +
                        " la liste de diffusion approprie et y poser vos questions."},
        {"DISPLAYUSER_SENDMAILMSG", "Envoyer un email a cet utilisateur&nbsp;:"},
        {"DISPLAYUSER_USERNAMEMSG", "Votre Nom&nbsp;: "},
        {"DISPLAYUSER_EMAILMSG", "Votre Email&nbsp;: "},
        {"DISPLAYUSER_SUBJECTMSG", "Sujet&nbsp;: " },
        {"DISPLAYUSER_BODYMSG", "Message&nbsp;: "},
        {"DISPLAYUSER_CANCEL", "Annuler"},
        {"DISPLAYUSER_SENDMAIL", "Envoyer l'Email"},

        {"EDITACCOUNT_TITLE", "Jyve - Modification de Compte"},
        {"EDITACCOUNT_NOTLOGGEDIN", "Dsol, vous devez tre identifi afin d'accder  cet cran."},
        {"EDITACCOUNT_USERNAMEMSG", "Identifiant&nbsp;:"},
        {"EDITACCOUNT_PASSWORDMSG", "Mot de passe&nbsp;:"},
        {"EDITACCOUNT_PASSWORDCONFIRMMSG",  "Mot de passe (confirmation)&nbsp;:"},
        {"EDITACCOUNT_FIRSTNAMEMSG", "Prnom&nbsp;:"},
        {"EDITACCOUNT_LASTNAMEMSG", "Nom de famille&nbsp;:"},
        {"EDITACCOUNT_EMAILMSG",  "Email&nbsp;:"},
        {"EDITACCOUNT_CANCEL", "Annuler"},
        {"EDITACCOUNT_CREATE", "Modifier ce Compte"},
            
        {"EDITANSWER_TITLE", "Modifier la Rponse"},
        {"EDITANSWER_CANCEL", "Annuler"},
        {"EDITANSWER_DELETE", "Effacer"},
        {"EDITANSWER_SAVE", "Sauver"},
        {"EDITANSWER_NOVALIDQUESTION", "Merci de choisir une question valide."},
        {"EDITANSWER_NOVALIDANSWER", "Merci de choisir une rponse valide."},
        {"EDITANSWER_CHANGEANSWERMSG", "Changer la rponse  cette question&nbsp;:"},
        {"EDITANSWER_ORDERNUMMSG", "Numro d'ordre&nbsp;: "},
        {"EDITANSWER_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier cette rponse&nbsp;!"},

        {"EDITFAQ_TITLE", "Modifier la FAQ"},
        {"EDITFAQ_CANCEL", "Annuler"},
        {"EDITFAQ_DELETE", "Effacer"},
        {"EDITFAQ_SAVE", "Sauver"},
        {"EDITFAQ_NOVALIDFAQ", "Merci de choisir une FAQ valide."},
        {"EDITFAQ_CHANGEFAQMSG", "Changer la FAQ&nbsp;:"},
        {"EDITFAQ_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"EDITFAQ_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier cette FAQ&nbsp;!"},

        {"EDITPRJ_TITLE", "Modifier un Projet"},
        {"EDITPRJ_CANCEL", "Annuler"},
        {"EDITPRJ_DELETE", "Effacer"},
        {"EDITPRJ_SAVE", "Sauver"},
        {"EDITPRJ_CHOOSETOPIC", "Merci de choisir un sujet valide."},
        {"EDITPRJ_CHANGEPRJMSG", "Changer le Projet&nbsp;:"},
        {"EDITPRJ_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"EDITPRJ_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier ce projet&nbsp;!"},

        {"EDITQUESTION_TITLE", "Modifier la Question"},
        {"EDITQUESTION_CANCEL", "Annuler"},
        {"EDITQUESTION_DELETE", "Effacer"},
        {"EDITQUESTION_SAVE", "Sauver"},
        {"EDITQUESTION_NOVALIDQUESTION", "Merci de choisir une question valide."},
        {"EDITQUESTION_CHANGEQUESTIONMSG", "Modifier la question&nbsp;:"},
        {"EDITQUESTION_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"EDITQUESTION_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier cette question&nbsp;!"},

        {"EDITTOPIC_TITLE", "Modifier un Sujet"},
        {"EDITTOPIC_CANCEL", "Annuler"},
        {"EDITTOPIC_DELETE", "Effacer"},
        {"EDITTOPIC_SAVE", "Sauver"},
        {"EDITTOPIC_NOVALIDTOPIC", "Merci de choisir un sujet valide."},
        {"EDITTOPIC_CHANGETOPICMSG", "Changer de Sujet&nbsp;:"},
        {"EDITTOPIC_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"EDITTOPIC_NOMODIFYPERM", "Dsol, vous n'avez pas la permission de modifier ce sujet&nbsp;!"},

        {"LOGIN_TITLE", "Bienvenue sur Jyve - Ecran d'Identification&nbsp;!"},
        {"LOGIN_USERNAMEMSG",  "Identifiant&nbsp;:"},
        {"LOGIN_PASSWORDMSG", "Mot de passe&nbsp;:"},
        {"LOGIN_CREATENEWACCOUNT", "Crer un nouveau compte"},
        {"LOGIN_LOGINBTN", "Identification"},

        {"MAINMENU_TITLE", "Bienvenue sur la FAQ Jyve&nbsp;!"},
        {"MAINMENU_WELCOMEMSG", "Bienvenue "},

        {"NEWACCOUNT_TITLE", "Jyve - Crer un Nouveau Compte"},
        {"NEWACCOUNT_INFOMSG1", "Afin de crer un nouveau compte, merci de remplir tous les champs suivants. "},
        {"NEWACCOUNT_INFOMSG2", "Aprs la cration de votre compte, vous recevrez un email avec une clef de confirmation."},
        {"NEWACCOUNT_INFOMSG3", "Entrez la clef de confirmation que vous devez avoir reu par email dans l'cran suivant pour confirmer votre enregistrement dans le systme."},
        {"NEWACCOUNT_INFOEMAILMSG", "Une adresse email valide est ncessaire&nbsp;!"},
        {"NEWACCOUNT_USERNAMEMSG", "Identifiant&nbsp;:"},
        {"NEWACCOUNT_PASSWORDMSG", "Mot de passe&nbsp;:"},
        {"NEWACCOUNT_PASSWORDCONFIRMMSG",  "Mot de passe (confirmation)&nbsp;:"},
        {"NEWACCOUNT_FIRSTNAMEMSG", "Prnom&nbsp;:"},
        {"NEWACCOUNT_LASTNAMEMSG", "Nom de famille&nbsp;:"},
        {"NEWACCOUNT_EMAILMSG",  "Email&nbsp;:"},
        {"NEWACCOUNT_CANCEL", "Annuler"},
        {"NEWACCOUNT_CREATE", "Crer un Nouveau Compte"},
       
        {"NEWANSWER_NOVALIDQUESTION", "Merci de choisir une question valide."},
        {"NEWANSWER_TITLE", "Ajouter une Nouvelle Rponse"},
        {"NEWANSWER_ADDNEWANSWERMSG", "Ajouter une nouvelle rponse  cette question&nbsp;:"},
        {"NEWANSWER_CANCEL", "Annuler"},
        {"NEWANSWER_SAVE", "Sauver"},
        {"NEWANSWER_TYPE_HTMLTEXTMSG", "Texte Html"},
        {"NEWANSWER_TYPE_PLAINTEXTMSG", "Texte simple"},
        {"NEWANSWER_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"NEWANSWER_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajoute de nouvelles rponses&nbsp;!"},
         
        {"NEWFAQ_NOVALIDPROJECT", "Merci de choisir un Projet valide."},
        {"NEWFAQ_TITLE", "Ajouter une Nouvelle FAQ"},
        {"NEWFAQ_ADDNEWFAQMSG", "Ajouter une nouvelle FAQ&nbsp;:"},
        {"NEWFAQ_CANCEL", "Annuler"},
        {"NEWFAQ_SAVE", "Sauver"},
        {"NEWFAQ_ORDERNUMMSG",  "Numro d'Ordre&nbsp;: "},
        {"NEWFAQ_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouvelles FAQ&nbsp;!"},

        {"NEWPRJ_TITLE", "Ajouter un Nouveau Projet"},
        {"NEWPRJ_ADDNEWPRJMSG", "Ajouter un nouveau Projet&nbsp;:"},
        {"NEWPRJ_CANCEL", "Annuler"},
        {"NEWPRJ_SAVE", "Sauver"},
        {"NEWPRJ_ORDERNUMMSG", "Numro d'Ordre&nbsp;: "},
        {"NEWPRJ_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouveaux projets&nbsp;!"},

        {"NEWQUESTION_TITLE", "Ajouter une Nouvelle Question"},
        {"NEWQUESTION_NOVALIDFAQ", "Dsol, une FAQ doit d'abord tre choisie."},
        {"NEWQUESTION_NOVALIDTOPIC", "Merci de choisir un sujet valide."},
        {"NEWQUESTION_ADDNEWQUESTIONMSG", "Ajouter une nouvelle question&nbsp;:"},
        {"NEWQUESTION_CANCEL", "Annuler"},
        {"NEWQUESTION_SAVE", "Sauver"},
        {"NEWQUESTION_ORDERNUMMSG", "Numro d'ordre&nbsp;: "},
        {"NEWQUESTION_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouvelles questions&nbsp;!"},

        {"NEWTOPIC_TITLE", "Ajouter un Nouveau Sujet"},
        {"NEWTOPIC_NOVALIDFAQ", "Merci de choisir une FAQ valide."},
        {"NEWTOPIC_ADDNEWTOPICMSG", "Ajouter un nouveau sujet&nbsp;:"},
        {"NEWTOPIC_CANCEL", "Annuler"},
        {"NEWTOPIC_SAVE", "Sauver"},
        {"NEWTOPIC_ORDERNUMMSG", "Numro d'ordre&nbsp;: "},
        {"NEWTOPIC_NOADDPERM", "Dsol, vous n'avez pas la permission d'ajouter de nouveaux sujets&nbsp;!"},

        {"SEARCHGLOBAL_TITLE", "Jyve - Ecran Global de Recherche&nbsp;!"},
        {"SEARCHGLOBAL_SEARCHMSG", "Recherche&nbsp;: "},
        {"SEARCHGLOBAL_SEARCHBTN", "Chercher&nbsp;!"},

        {"SEARCHRESULTS_TITLE", "Jyve - Rsultats de Recherche&nbsp;!"},
        {"SEARCHRESULTS_SEARCHRESULTMSG", "Rsultats de Recherche&nbsp;:"},
        {"SEARCHRESULTS_NOVALIDSEARCH", "Merci de spcifier ce que vous voulez chercher&nbsp;!"},
        {"SEARCHRESULTS_PROJECTMSG", "Projet&nbsp;:"},
        {"SEARCHRESULTS_FAQMSG", "FAQ&nbsp;:"},
        {"SEARCHRESULTS_TOPICMSG", "Sujet&nbsp;:"},
        {"SEARCHRESULTS_QUESTIONMSG", "Question&nbsp;:"},
        {"SEARCHRESULTS_NOMATCHMSG", "Dsol, votre recherche n'a aboutie  aucun rsultat&nbsp;!"},
        {"SEARCHRESULTS_TOTALMSG", "Total&nbsp;: "},

        {"DISPLAYUNRELEASED_TITLE", "Jyve - Affichage des Entres Non-Publies&nbsp;!"},
        {"DISPLAYUNRELEASED_LISTOFMSG", "Liste des entres non-publies&nbsp;:"},
        {"DISPLAYUNRELEASED_PROJECTMSG", "Projet&nbsp;:"},
        {"DISPLAYUNRELEASED_FAQMSG", "FAQ&nbsp;:"},
        {"DISPLAYUNRELEASED_TOPICMSG", "Sujet&nbsp;:"},
        {"DISPLAYUNRELEASED_QUESTIONMSG", "Question&nbsp;:"},
        {"DISPLAYUNRELEASED_NOMATCHMSG", "Pas d'entres non-publies recenses&nbsp;!"},
        {"DISPLAYUNRELEASED_TOTALMSG", "Total&nbsp;: "},
        
// org.apache.jyve.util

        {"JSECURITYCHECK_RANGEVISITORID", "Erreur: Votre visitor_id dans la base de donnes doit tre suprieur  zro&nbsp;:"},
        {"JSECURITYCHECK_RANGEVISITORIDREC", "Erreur: Le visitor_id de l'lment choisi dans la base de donnes doit tre suprieur  zro&nbsp;:"},
        
        {"", ""}
    };
}
