package org.apache.jyve.localization;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

/** This class has been added 17.01.2000 by [jm],mediaphil digital media
    Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a>
    Please contact me if you have any questions, which ARE NOT ANSWERED
    by the Java Localization/Internationalization Documentation.
*/

/** @author Yong Hee Park <a href="mailto:dragon@openbiz2000.com">dragon@openbiz2000.com</a> */
/** @author Kyung Ho Ahn  <a href="mailto:boolwhee@openbiz2000.com">boolwhee@openbiz2000.com</a> */

import java.util.*;

/**
    This is the topmost node of our Resourcetree. It currently implements the default
    language which is english (US). It also serves as a fallback if a localized resourcebundle
    does not translate all resources.
*/

public class JyveLocalization_ko extends ListResourceBundle
{
    /** returns the localized array to a java.util.ResourceBundle object. */
    public Object[][] getContents()
    {
        return contents;
    }

    /** If you want to localize Jyve to another language, localize this Array */
    static final Object[][] contents = {

        /* 
            This first entry specifies whoever made this localization and 
            is therefor responsible for it. If another person agrees on 
            maintaining this localization, enter his/her name here. You 
            probably may put an "UNSUPPORTED" there, too.
        */
        {"LOCALIZATION_MAINTAINER", "OpenBiz Jetspeed (dragon@openbiz2000.com, boolwhee@openbiz2000.com)"},

// org.apache.jyve.actions

        {"ADDNEWANSWER_UNTITLED", "  "},
        {"ADDNEWANSWER_NEWANSWER", " ߰ Ǿϴ!"},
        {"ADDNEWANSWER_NOADDPERM", "˼մϴ. ο  ߰   ִ  ϴ!"},

        {"ADDNEWFAQ_CHOOSEPRJ", "˼մϴ. Ʈ   ּ."},
        {"ADDNEWFAQ_UNTITLEDFAQ", "  FAQ"},
        {"ADDNEWFAQ_FAQCREATE", "FAQ ߰ Ǿϴ!"},
        {"ADDNEWFAQ_NOADDPERM", "˼մϴ. ο FAQ ߰   ִ  ϴ!"},

        {"ADDNEWPRJ_UNTITLEDPRJ", "  Ʈ"},
        {"ADDNEWPRJ_CREATE", "Ʈ ߰ Ǿϴ!"},
        {"ADDNEWPRJ_NOADDPERM", "˼մϴ. ο Ʈ ߰   ִ  ϴ!"},

        {"ADDNEWQUESTION_UNTITLEDQ", "  "},
        {"ADDNEWQUESTION_CREATE", " ߰Ǿϴ!"},
        {"ADDNEWQUESTION_NOADDPERM", "˼մϴ. ο  ߰   ִ  ϴ!"},

        {"ADDNEWTOPIC_CHOOSETOPIC", "˼մϴ. FAQ    ּ."},
        {"ADDNEWTOPIC_UNTITLEDT", "  "},
        {"ADDNEWTOPIC_CREATE", " ߰Ǿϴ!"},
        {"ADDNEWTOPIC_NOADDPERM", "˼մϴ. ο  ߰   ִ  ϴ!"},

        {"CREATENEWUSERANDCONFIRM_PWNOTMATCH", "˼մϴ. ȣ ġ  ʽϴ."},
        {"CREATENEWUSERANDCONFIRM_NOUSERNAME", "˼մϴ.  ̸ Է ּ."},
        {"CREATENEWUSERANDCONFIRM_NOEMAIL", "˼մϴ. Ȯ ̸ ּҸ Է ּ."},
        {"CREATENEWUSERANDCONFIRM_CHOOSENEWNAME", "˼մϴ.  ̸ ϵ ڰ ֽϴ. ٸ  ̸  ּ."},
        {"CREATENEWUSERANDCONFIRM_CREATE", "ûϽ  ڰ  Ǿϴ!"},

        {"DELETEANSWER_NOVALIDSELECTION", "ȿ   ּ."},
        {"DELETEANSWER_NOTFOUND", "  ã  ϴ!"},
        {"DELETEANSWER_DELETED", "  Ǿϴ!"},
        {"DELETEANSWER_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},

        {"DELETEFAQ_NOVALIDSELECTION", "ȿ FAQ  ּ."},
        {"DELETEFAQ_NOTFOUND", " FAQ ã  ϴ!"},
        {"DELETEFAQ_DELETED", "FAQ  Ǿϴ!"},
        {"DELETEFAQ_NOMODIFYPERM", "˼մϴ. FAQ    ִ  ϴ!"},

        {"DELETEPRJ_NOVALIDSELECTION", "ȿ Ʈ  ּ."},
        {"DELETEPRJ_NOTFOUND", " Ʈ ã  ϴ!"},
        {"DELETEPRJ_DELETED", "Ʈ  Ǿϴ!"},
        {"DELETEPRJ_NOMODIFYPERM", "˼մϴ. Ʈ    ִ  ϴ!"},

        {"DELETEQUESTION_NOVALIDSELECTION", "ȿ   ּ."},
        {"DELETEQUESTION_NOTFOUND", "  ã  ϴ!"},
        {"DELETEQUESTION_DELETED", "  Ǿϴ!"},
        {"DELETEQUESTION_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},

        {"DELETETOPIC_NOVALIDSELECTION", "ȿ    ּ."},
        {"DELETETOPIC_NOTFOUND", "   ã  ϴ!"},
        {"DELETETOPIC_DELETED", "  Ǿϴ!"},
        {"DELETETOPIC_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},

        {"JLOGINUSER_KEYNOTVALID", "˼մϴ. Է Ͻ  ȣ(ȣ ƴ) ȿ ʽϴ."},
        {"JLOGINUSER_WELCOME", "!  Ϸ Ǿϴ.  ý Ͻ  ֽϴ."},
        {"JLOGINUSER_NAMENOTVALID", "˼մϴ.  ̸ ȿ ʽϴ.   ϼ̴ ο ̸Ͽ õ URL ٸ Էϼ̴ Ȯϼ."},
        {"JLOGINUSER_CONFIRMFIRST", "˼մϴ. α Ͻñ    Ȯ ۾  ϼž մϴ."},
        {"JLOGINUSER_NOAUTHUSERROLE", " ̽ 'authenticated_user' ϴ."},

        {"LOGOUTUSER_THANKS", " ý  ּż մϴ.    ٽ ˰ڽϴ."},

        {"SENDCONFIRMATIONEMAIL_BODY1", "ȳϼ. ǵ Դϴ.\n\n" +
                                      "ûϽ  Ǿϴ.\n\n" +
                                      "йȣ  ϴ:\n\n"},

        {"SENDCONFIRMATIONEMAIL_BODY2", "  Ȯ ؼ  URL ٷ ø ˴ϴ:\n\n"},
        {"SENDCONFIRMATIONEMAIL_SENT", "̸ ۵Ǿϴ."},
        {"SENDCONFIRMATIONEMAIL_ERROR", "̸    ߻Ͽϴ : "}, 

        {"SENDUSEREMAIL_IDNOTVALID", "ȿ visitor id Է  ּ."},
        {"SENDUSEREMAIL_EMAILNOTVALID" , " ڴ ȿ ̸ ּҰ ϴ."},
        {"SENDUSEREMAIL_FILLTHEFORM",  " Է ׸  Է ּ."},
        {"SENDUSEREMAIL_SENT", "̸  Ǿϴ."},

        {"SESSIONVALIDATOR_SESSIONNOTVALID", " ֽϴ.   ȿմϴٸ 'screen variable'  Ǿ  ʽϴ."},

        {"SHOWEDIT_MUSTLOGIN", "  ؼ ݵ α ϼž մϴ."},

        {"UPDATEACCOUNT_NOTLOGGEDIN", "   ؼ ݵ α ϼž մϴ."},
        {"UPDATEACCOUNT_PWNOTMATCH", "˼մϴ. ȣ ġ ʽϴ"},
        {"UPDATEACCOUNT_NOFIRSTNAME", "˼մϴ. ̸ Է ּ."},
        {"UPDATEACCOUNT_NOLASTNAME", "˼մϴ. (Last Name) Է ּ."},
        {"UPDATEACCOUNT_NOEMAIL", "˼մϴ. ȿ ̸ ּҸ Է ּ."},
        {"UPDATEACCOUNT_DONE", "   Ǿϴ!"},
        {"UPDATEACCOUNT_NOUSER", "  ã  ϴ."},
        {"UPDATEACCOUNT_NEWEMAILCONFIRM", "̸ ּҸ ϼž մϴ. ý  Ͻñ ؼ ٽ ѹ Ȯ ۾  ؾ մϴ. ̸ ּҸ Ȯ ּ."},

        {"UPDATEANSWER_NOVALIDQUESTION", "  ּ."},
        {"UPDATEANSWER_NOVALIDANSWER", "ȿ   ּ."},
        {"UPDATEANSWER_UNTITLEDQ", " "},
        {"UPDATEANSWER_ANSWERDELETE", " Ǿϴ."},
        {"UPDATEANSWER_ANSWERUPDATE", " Ǿϴ."},
        {"UPDATEANSWER_ANSWER", " "},
        {"UPDATEANSWER_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},

        {"UPDATEFAQ_NOVALIDFAQ", "FAQ  ּ."},
        {"UPDATEFAQ_UNTITLEDF", "  FAQ"},
        {"UPDATEFAQ_FAQDELETE", " Ǿϴ."},
        {"UPDATEFAQ_FAQUPDATE", " Ǿϴ."},
        {"UPDATEFAQ_FAQ", "FAQ "},
        {"UPDATEFAQ_NOMODIFYPERM", "˼մϴ. FAQ   ִ  ϴ!"},

        {"UPDATEPRJ_NOVALIDPRJ", "Ʈ  ּ."},
        {"UPDATEPRJ_UNTITLEDP", "  Ʈ"},
        {"UPDATEPRJ_PRJDELETE", " Ǿϴ."},
        {"UPDATEPRJ_PRJUPDATE", " Ǿϴ."},
        {"UPDATEPRJ_PROJECT", "Ʈ "},
        {"UPDATEPRJ_NOMODIFYPERM", "˼մϴ. Ʈ    ִ  ϴ!"},

        {"UPDATEQUESTION_NOVALIDQUESTION", "  ּ."},
        {"UPDATEQUESTION_UNTITLEDQ", "  "},
        {"UPDATEQUESTION_QUESTIONDELETE", "Ǿϴ."},
        {"UPDATEQUESTION_QUESTIONUPDATE", "ŵǾϴ."},
        {"UPDATEQUESTION_QUESTION", " "},
        {"UPDATEQUESTION_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},

        {"UPDATETOPIC_NOVALIDTOPIC", "  ּ."},
        {"UPDATETOPIC_UNTITLEDT", "  "},
        {"UPDATETOPIC_TOPICDELETE", "Ǿϴ."},
        {"UPDATETOPIC_TOPICUPDATE", "ŵǾϴ."},
        {"UPDATETOPIC_TOPIC", " "},
        {"UPDATETOPIC_NOMODIFYPERM", "˼մϴ.     ִ  ϴ!"},


        {"RELEASE_PRJ_NORELEASEPERM", "˼մϴ.  Ʈ    ִ  ϴ!"},
        {"RELEASE_FAQ_NORELEASEPERM", "˼մϴ.  FAQ    ִ  ϴ!"},
        {"RELEASE_TOPIC_NORELEASEPERM", "˼մϴ.      ִ  ϴ!"},
        {"RELEASE_QUESTION_NORELEASEPERM", "˼մϴ.      ִ  ϴ!"},
        {"RELEASE_ANSWER_NORELEASEPERM", "˼մϴ.  亯    ִ  ϴ!"},

        {"RELEASE_PRJ_NOVALIDPRJ", "ȿ Ʈ  ּ."},
        {"RELEASE_FAQ_NOVALIDFAQ", "ȿ FAQ  ּ."},
        {"RELEASE_TOPIC_NOVALIDTOPIC", "ȿ   ּ."},
        {"RELEASE_ANSWER_NOVALIDANSWER", "ȿ 亯  ּ."},
        {"RELEASE_QUESTION_NOVALIDQUESTION", "ȿ   ּ."},
        
        {"RELEASE_PRJ_PRJRELEASED", "Ʈ  Ǿϴ!"},
        {"RELEASE_FAQ_FAQRELEASED", "FAQ  Ǿϴ!"},
        {"RELEASE_TOPIC_TOPICRELEASED", "  Ǿϴ!"},
        {"RELEASE_QUESTION_QUESTIONRELEASED", "  Ǿϴ!"},
        {"RELEASE_ANSWER_ANSWERRELEASED", "  Ǿϴ!"},

        
// org.apache.jyve.navigations

        {"OPTIONSFOOTER_OPTIONS", " :"},
        {"OPTIONSFOOTER_HIDEEDIT", "[  ]"},
        {"OPTIONSFOOTER_SHOWEDIT", "[  ǥ]"},
        {"OPTIONSFOOTER_LOGOUT", "[α ƿ]"},
        {"OPTIONSFOOTER_LOGIN", "[α]"},
        {"OPTIONSFOOTER_HOME", "[Ȩ]"},
        {"OPTIONSFOOTER_SEARCH", "[ã]"},
        {"OPTIONSFOOTER_LISTUNRELEASED", "[ Ʈ]"},
        {"OPTIONSFOOTER_EDITACCOUNT", "[  ]"},

        {"TOPBAR_PROJECTSTITLE", "Ʈ:"},
        {"TOPBAR_FAQTITLE", "FAQ:"},
        {"TOPBAR_TOPICTITLE", ":"},

        {"PREVNEXTQ_PREVQUESTION", "Previous: "},
        {"PREVNEXTQ_PREVTOPIC", "Previous Topic: "},
        {"PREVNEXTQ_FIRSTQUESTION", "First question in first topic"},
        {"PREVNEXTQ_NEXTQUESTION", "Next: "},
        {"PREVNEXTQ_NEXTTOPIC", "Next Topic: "},
        {"PREVNEXTQ_LASTQUESTION", "Last question in last topic"},
        {"PREVNEXTQ_CURRENTTOPIC", "Current Topic: "},
        {"PREVNEXTQ_OPENBRACKET", "[ "},
        {"PREVNEXTQ_CLOSEBRACKET", " ]"},
        {"PREVNEXTQ_BRACKETSPLIT", " ] [ "},

// org.apache.jyve.screens

        {"CONFIRMREGISTRATION_TITLE", "Jetspeed -  Ȯ"},
        {"CONFIRMREGISTRATION_NOUSERNAME", "˼մϴ.  ̸ Է ּ."},
        {"CONFIRMREGISTRATION_MESSAGE",  " Ȯ ؼ ̸ ּҿ  ȣ ʿմϴ:"},
        {"CONFIRMREGISTRATION_SECRETKEYTITLE", " ȣ:"},
        {"CONFIRMREGISTRATION_CANCEL", ""},
        {"CONFIRMREGISTRATION_CONFIRM", " Ȯ"},

        {"DISPLAYFAQS_TITLE", "Jetspeed - FAQs"},
        {"DISPLAYFAQS_NOVALIDPRJ", "˼մϴ. Ʈ    ּ."},
        {"DISPLAYFAQS_CHOOSEFAQMSG", "FAQ ϼ: "},
        {"DISPLAYFAQS_MODIFY", "[]"},
        {"DISPLAYFAQS_RELEASE", "[]"},
        {"DISPLAYFAQS_NOFAQ", "˼մϴ. õ Ʈ شϴ FAQ ϴ."},
        {"DISPLAYFAQS_ADDNEWFAQ", "[ο FAQ ߰]"},

        {"DISPLAYONETOPIC_TITLE", "  1 - Jetspeed "},
        {"DISPLAYONETOPIC_NOVALIDPRJ", "˼մϴ. Ʈ ϼž մϴ."},
        {"DISPLAYONETOPIC_NOVALIDFAQTOPIC", "˼մϴ. FAQ  ϼž մϴ."},
        {"DISPLAYONETOPIC_NOVALIDTOPIC", "ȿ    ּ."},
        {"DISPLAYONETOPIC_CHOOSEQUESTIONFROMTOPIC", "Ʒ    ּ: "},
        {"DISPLAYONETOPIC_ADDNEWQUESTION", "[ο  ߰]"},
        {"DISPLAYONETOPIC_MODIFYTOPIC", "[ ]"},
        {"DISPLAYONETOPIC_RELEASETOPIC", "[ ]"},

        {"DISPLAYPROJECTS_TITLE", "Jetspeed - Ʈ"},
        {"DISPLAYPROJECTS_CHOOSEPRJMSG", "Ʈ  ּ:"},
        {"DISPLAYPROJECTS_NOPRJ", "˼մϴ. Ͻ  ִ Ʈ ϴ."},
        {"DISPLAYPROJECTS_MODIFY", "[]"},
        {"DISPLAYPROJECTS_RELEASE", "[]"},
        {"DISPLAYPROJECTS_ADDNEWPRJ", "[Ʈ ߰]"},

        {"DISPLAYQUESTIONANSWER_TITLE", "Jetspeed -  亯"},
        {"DISPLAYQUESTIONANSWER_NOANSWER", "˼մϴ.   亯 ϴ."},
        {"DISPLAYQUESTIONANSWER_NOQUESTION", "˼մϴ.   Դϴ."},
        {"DISPLAYQUESTIONANSWER_MODIFY", "[]"},
        {"DISPLAYQUESTIONANSWER_RELEASE", "[]"},
        {"DISPLAYQUESTIONANSWER_LASTMOD", "ֱ  : "},
        {"DISPLAYQUESTIONANSWER_NOVALIDTOPIC", "ȿ   ּ."},
        {"DISPLAYQUESTIONANSWER_NOVALIDQUESTION", "ȿ   ּ."},
        {"DISPLAYQUESTIONANSWER_ADDANSWER", "[ο 亯 ߰]"},

        {"DISPLAYTOPICS_TITLE", "Jetspeed - "},
        {"DISPLAYTOPICS_NOVALIDPRJ", "˼մϴ. Ʈ   ּ."},
        {"DISPLAYTOPICS_NOVALIDFAQTOPIC", "˼մϴ. FAQ    ּ."},
        {"DISPLAYTOPICS_CHOOSETORQ", "   ּ: "},
        {"DISPLAYTOPICS_ADDNEWTOPIC", "[ ߰]"},
        {"DISPLAYTOPICS_NOTOPICS", "˼մϴ. FAQ   ϴ."},

        {"DISPLAYUSER_TITLE", "Jetspeed -   ǥ"},
        {"DISPLAYUSER_INFOMSG", "ûϽ   ϴ: "},
        {"DISPLAYUSER_NAMEMSG", "̸: "},
        {"DISPLAYUSER_LOGINMSG", "ֱ α: "},
        {"DISPLAYUSER_WARNING", "      ñ ٶϴ. " +
                        "   ó ŭ ð 񿡰Դ ϴ. " +
                        "ý  ޵     õ˴ϴ.  ϸ Ʈ " +
                                                "ϼż װ  Ͻñ ٶϴ." },
        {"DISPLAYUSER_SENDMAILMSG", " ڿ ̸ ϴ:"},
        {"DISPLAYUSER_USERNAMEMSG", " : "},
        {"DISPLAYUSER_EMAILMSG", "̸ ּ: "},
        {"DISPLAYUSER_SUBJECTMSG", " : " },
        {"DISPLAYUSER_BODYMSG", " : "},
        {"DISPLAYUSER_CANCEL", ""},
        {"DISPLAYUSER_SENDMAIL", " "},

        {"EDITACCOUNT_TITLE", "Jetspeed -   "},
        {"EDITACCOUNT_NOTLOGGEDIN", "˼մϴ. ȭ鿡 Ͻñ ؼ  α ϼž մϴ."},
        {"EDITACCOUNT_USERNAMEMSG", " ̵:"},
        {"EDITACCOUNT_PASSWORDMSG", " ȣ:"},
        {"EDITACCOUNT_PASSWORDCONFIRMMSG",  " ȣ (Ȯ):"},
        {"EDITACCOUNT_FIRSTNAMEMSG", "̸:"},
        {"EDITACCOUNT_LASTNAMEMSG", ":"},
        {"EDITACCOUNT_EMAILMSG",  "̸ ּ:"},
        {"EDITACCOUNT_CANCEL", ""},
        {"EDITACCOUNT_CREATE", " "},
            
        {"EDITANSWER_TITLE", "亯 "},
        {"EDITANSWER_CANCEL", ""},
        {"EDITANSWER_DELETE", ""},
        {"EDITANSWER_SAVE", ""},
        {"EDITANSWER_NOVALIDQUESTION", "ȿ   ּ."},
        {"EDITANSWER_NOVALIDANSWER", "ȿ 亯  ּ."},
        {"EDITANSWER_CHANGEANSWERMSG", "  亯 մϴ:"},
        {"EDITANSWER_ORDERNUMMSG", ": "},
        {"EDITANSWER_NOMODIFYPERM", "˼մϴ.  亯    ִ  ϴ!"},

        {"EDITFAQ_TITLE", "FAQ "},
        {"EDITFAQ_CANCEL", ""},
        {"EDITFAQ_DELETE", ""},
        {"EDITFAQ_SAVE", ""},
        {"EDITFAQ_NOVALIDFAQ", "ȿ FAQ ϼ."},
        {"EDITFAQ_CHANGEFAQMSG", "FAQ :"},
        {"EDITFAQ_ORDERNUMMSG", ": "},
        {"EDITFAQ_NOMODIFYPERM", "˼մϴ.  FAQ    ִ  ϴ!"},

        {"EDITPRJ_TITLE", "Ʈ "},
        {"EDITPRJ_CANCEL", ""},
        {"EDITPRJ_DELETE", ""},
        {"EDITPRJ_SAVE", ""},
        {"EDITPRJ_CHOOSETOPIC", "ȿ    ּ."},
        {"EDITPRJ_CHANGEPRJMSG", "Ʈ :"},
        {"EDITPRJ_ORDERNUMMSG", ": "},
        {"EDITPRJ_NOMODIFYPERM", "˼մϴ.  Ʈ    ִ  ϴ!"},

        {"EDITQUESTION_TITLE", " "},
        {"EDITQUESTION_CANCEL", ""},
        {"EDITQUESTION_DELETE", ""},
        {"EDITQUESTION_SAVE", ""},
        {"EDITQUESTION_NOVALIDQUESTION", "ȿ   ּ."},
        {"EDITQUESTION_CHANGEQUESTIONMSG", " :"},
        {"EDITQUESTION_ORDERNUMMSG", ": "},
        {"EDITQUESTION_NOMODIFYPERM", "˼մϴ.      ִ  ϴ!"},

        {"EDITTOPIC_TITLE", " "},
        {"EDITTOPIC_CANCEL", ""},
        {"EDITTOPIC_DELETE", ""},
        {"EDITTOPIC_SAVE", ""},
        {"EDITTOPIC_NOVALIDTOPIC", "ȿ    ּ."},
        {"EDITTOPIC_CHANGETOPICMSG", " :"},
        {"EDITTOPIC_ORDERNUMMSG", ": "},
        {"EDITTOPIC_NOMODIFYPERM", "˼մϴ.      ִ  ϴ!"},

        {"LOGIN_TITLE", "ȯմϴ. Jetspeed α ȭ Դϴ.!"},
        {"LOGIN_USERNAMEMSG",  " ̸:"},
        {"LOGIN_PASSWORDMSG", " ȣ:"},
        {"LOGIN_CREATENEWACCOUNT", "ű  "},
        {"LOGIN_LOGINBTN", "α"},

        {"MAINMENU_TITLE", "ȳϼ.Jetspeed FAQ Ű ȯմϴ!"},
        {"MAINMENU_WELCOMEMSG", ". "},

        {"NEWACCOUNT_TITLE", "Jetspeed - ű  "},
        {"NEWACCOUNT_INFOMSG1", "  ؼ Ʒ  Է ׸  Է  ּ. "},
        {"NEWACCOUNT_INFOMSG2", " ߰  Ȯ  Ű  ̸ ް ˴ϴ."},
        {"NEWACCOUNT_INFOMSG3", "ýۿ ϵ  Ȯ ؼ ̸    Ű  ȭ鿡 Է ּ."},
        {"NEWACCOUNT_INFOEMAILMSG", "ȿ ̸ ּҰ ʿմϴ!"},
        {"NEWACCOUNT_USERNAMEMSG", " ̸:"},
        {"NEWACCOUNT_PASSWORDMSG", "ȣ:"},
        {"NEWACCOUNT_PASSWORDCONFIRMMSG",  "ȣ (Ȯ):"},
        {"NEWACCOUNT_FIRSTNAMEMSG", " :"},
        {"NEWACCOUNT_LASTNAMEMSG", "(Last Name):"},
        {"NEWACCOUNT_EMAILMSG",  "̸ ּ:"},
        {"NEWACCOUNT_CANCEL", ""},
        {"NEWACCOUNT_CREATE", " "},
       
        {"NEWANSWER_NOVALIDQUESTION", "ȿ   ּ."},
        {"NEWANSWER_TITLE", "亯 "},
        {"NEWANSWER_ADDNEWANSWERMSG", " ű 亯 :"},
        {"NEWANSWER_CANCEL", ""},
        {"NEWANSWER_SAVE", ""},
        {"NEWANSWER_TYPE_HTMLTEXTMSG", "Html "},
        {"NEWANSWER_TYPE_PLAINTEXTMSG", "Ϲ "},
        {"NEWANSWER_ORDERNUMMSG", ": "},
        {"NEWANSWER_NOADDPERM", "˼մϴ. ο 亯 ߰   ִ  ϴ!"},
         
        {"NEWFAQ_NOVALIDPROJECT", "ȿ Ʈ  ּ."},
        {"NEWFAQ_TITLE", "FAQ ߰"},
        {"NEWFAQ_ADDNEWFAQMSG", "FAQ ߰:"},
        {"NEWFAQ_CANCEL", ""},
        {"NEWFAQ_SAVE", ""},
        {"NEWFAQ_ORDERNUMMSG",  ": "},
        {"NEWFAQ_NOADDPERM", "˼մϴ. FAQ ߰  ִ  ϴ!"},

        {"NEWPRJ_TITLE", "Ʈ ߰"},
        {"NEWPRJ_ADDNEWPRJMSG", "Ʈ ߰:"},
        {"NEWPRJ_CANCEL", ""},
        {"NEWPRJ_SAVE", ""},
        {"NEWPRJ_ORDERNUMMSG", ": "},
        {"NEWPRJ_NOADDPERM", "˼մϴ. ο Ʈ ߰  ִ  ϴ!"},

        {"NEWQUESTION_TITLE", " ߰"},
        {"NEWQUESTION_NOVALIDFAQ", "˼մϴ. FAQ    ּ."},
        {"NEWQUESTION_NOVALIDTOPIC", "ȿ   ּ."},
        {"NEWQUESTION_ADDNEWQUESTIONMSG", " ߰:"},
        {"NEWQUESTION_CANCEL", ""},
        {"NEWQUESTION_SAVE", ""},
        {"NEWQUESTION_ORDERNUMMSG", ": "},
        {"NEWQUESTION_NOADDPERM", "˼մϴ.  ߰   ִ  ϴ!"},

        {"NEWTOPIC_TITLE", " ߰"},
        {"NEWTOPIC_NOVALIDFAQ", "ȿ FAQ  ּ."},
        {"NEWTOPIC_ADDNEWTOPICMSG", " ߰:"},
        {"NEWTOPIC_CANCEL", ""},
        {"NEWTOPIC_SAVE", ""},
        {"NEWTOPIC_ORDERNUMMSG", ": "},
        {"NEWTOPIC_NOADDPERM", "˼մϴ.  ߰   ִ  ϴ!"},

        {"SEARCHGLOBAL_TITLE", "Jetspeed - ü ˻ ȭ!"},
        {"SEARCHGLOBAL_SEARCHMSG", "˻: "},
        {"SEARCHGLOBAL_SEARCHBTN", "˻!"},

        {"SEARCHRESULTS_TITLE", "Jetspeed - ˻ !"},
        {"SEARCHRESULTS_SEARCHRESULTMSG", "˻ :"},
        {"SEARCHRESULTS_NOVALIDSEARCH", "˻  ׸  ּ!"},
        {"SEARCHRESULTS_PROJECTMSG", "Ʈ:"},
        {"SEARCHRESULTS_FAQMSG", "FAQ:"},
        {"SEARCHRESULTS_TOPICMSG", ":"},
        {"SEARCHRESULTS_QUESTIONMSG", ":"},
        {"SEARCHRESULTS_NOMATCHMSG", "˼մϴ. ûϽ ׸ ġϴ  ϴ!"},
        {"SEARCHRESULTS_TOTALMSG", "ü: "},

        {"DISPLAYUNRELEASED_TITLE", "Jetspeed -  ׸ Ʈ!"},
        {"DISPLAYUNRELEASED_LISTOFMSG", "  ׸ Ʈ:"},
        {"DISPLAYUNRELEASED_PROJECTMSG", "Ʈ:"},
        {"DISPLAYUNRELEASED_FAQMSG", "FAQ:"},
        {"DISPLAYUNRELEASED_TOPICMSG", ":"},
        {"DISPLAYUNRELEASED_QUESTIONMSG", ":"},
        {"DISPLAYUNRELEASED_NOMATCHMSG", " ׸ ϴ!"},
        {"DISPLAYUNRELEASED_TOTALMSG", "ü: "},
        
// org.apache.jyve.util

        {"JSECURITYCHECK_RANGEVISITORID", ": DB visitor_id 0 Ŀ մϴ : "},
        {"JSECURITYCHECK_RANGEVISITORIDREC", ": õ ׸ DB visitor_id 0 ۽ϴ : "},
        
        {"", ""}
    };
}
