package org.apache.jyve.localization;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

/** This class has been added 17.01.2000 by [jm],mediaphil digital media
    Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a>
    Please contact me if you have any questions, which ARE NOT ANSWERED
    by the Java Localization/Internationalization Documentation.

    Chinese version by Jian He
    <a href="mailto:hjent@163.net">hjnet@163.net</a>.

*/

/** @author Jonas Maurus <a href="mailto:jm@mediaphil.de">jm@mediaphil.de</a> */
/** @author Jian He <a href="mailto:hjnet@163.net">hjnet@163.net</a> */

import java.util.*;

/**
    This is the topmost node of our Resourcetree. It currently implements the default
    language which is english (US). It also serves as a fallback if a localized resourcebundle
    does not translate all resources.
*/

public class JyveLocalization_zh extends ListResourceBundle
{
    /** returns the localized array to a java.util.ResourceBundle object. */
    public Object[][] getContents()
    {
        return contents;
    }

    /** If you want to localize Jyve to another language, localize this Array */
    static final Object[][] contents = {

        /* 
            This first entry specifies whoever made this localization and 
            is therefor responsible for it. If another person agrees on 
            maintaining this localization, enter his/her name here. You 
            probably may put an "UNSUPPORTED" there, too.
        */
        {"LOCALIZATION_MAINTAINER", "μ <hjnet@163.net>"},

// org.apache.jyve.actions

        {"ADDNEWANSWER_UNTITLED", "ޱĴ"},
        {"ADDNEWANSWER_NEWANSWER", "!"},
        {"ADDNEWANSWER_NOADDPERM", "Ǹ, Ȩ!"},

        {"ADDNEWFAQ_CHOOSEPRJ", "Ǹ, ѡһĿ."},
        {"ADDNEWFAQ_UNTITLEDFAQ", "ޱ FAQ"},
        {"ADDNEWFAQ_FAQCREATE", "FAQ !"},
        {"ADDNEWFAQ_NOADDPERM", "Ǹ, Ȩ FAQ!"},

        {"ADDNEWPRJ_UNTITLEDPRJ", "ޱĿ"},
        {"ADDNEWPRJ_CREATE", "Ŀ!"},
        {"ADDNEWPRJ_NOADDPERM", "Ǹ, ȨĿ!"},

        {"ADDNEWQUESTION_UNTITLEDQ", "ޱ"},
        {"ADDNEWQUESTION_CREATE", "!"},
        {"ADDNEWQUESTION_NOADDPERM", "Ǹ, Ȩ!"},

        {"ADDNEWTOPIC_CHOOSETOPIC", "Ǹ, ѡһ FAQ ."},
        {"ADDNEWTOPIC_UNTITLEDT", "ޱĻ"},
        {"ADDNEWTOPIC_CREATE", "!"},
        {"ADDNEWTOPIC_NOADDPERM", "Ǹ, Ȩ!"},

        {"CREATENEWUSERANDCONFIRM_PWNOTMATCH", "Ǹ, ."},
        {"CREATENEWUSERANDCONFIRM_NOUSERNAME", "Ǹ, ṩû."},
        {"CREATENEWUSERANDCONFIRM_NOEMAIL", "Ǹ, ṩϷ email ַ."},
        {"CREATENEWUSERANDCONFIRM_CHOOSENEWNAME", "Ǹ, ûѴ. ѡͬû."},        
        {"CREATENEWUSERANDCONFIRM_CREATE", "ʺѴ!"},

        {"DELETEANSWER_NOVALIDSELECTION", "Please choose a valid answer."},
        {"DELETEANSWER_NOTFOUND", "δҵҪɾĴ!"},
        {"DELETEANSWER_DELETED", "ɾ!"},
        {"DELETEANSWER_NOMODIFYPERM", "Ǹ, Ȩ޸Ĵ!"},

        {"DELETEFAQ_NOVALIDSELECTION", "Please choose a valid FAQ."},
        {"DELETEFAQ_NOTFOUND", "δҵҪɾ FAQ!"},
        {"DELETEFAQ_DELETED", "FAQ ɾ!"},
        {"DELETEFAQ_NOMODIFYPERM", "Ǹ, Ȩ޸ FAQ!"},

        {"DELETEPRJ_NOVALIDSELECTION", "Please choose a valid project."},
        {"DELETEPRJ_NOTFOUND", "δҵҪɾĿ!"},
        {"DELETEPRJ_DELETED", "Ŀɾ!"},
        {"DELETEPRJ_NOMODIFYPERM", "Ǹ, Ȩ޸Ŀ!"},

        {"DELETEQUESTION_NOVALIDSELECTION", "Please choose a valid question."},
        {"DELETEQUESTION_NOTFOUND", "δҵҪɾ!"},
        {"DELETEQUESTION_DELETED", "ɾ!"},
        {"DELETEQUESTION_NOMODIFYPERM", "Ǹ, Ȩ޸!"},

        {"DELETETOPIC_NOVALIDSELECTION", "Please choose a valid topic."},
        {"DELETETOPIC_NOTFOUND", "δҵҪɾĻ!"},
        {"DELETETOPIC_DELETED", "ɾ!"},
        {"DELETETOPIC_NOMODIFYPERM", "Ǹ, Ȩ޸!"},

        {"JLOGINUSER_KEYNOTVALID", "Ǹ, ¼벻Ϸ."},
        {"JLOGINUSER_WELCOME", "ӭ! עѱȷ. ڿɵʹøϵͳ."},
        {"JLOGINUSER_NAMENOTVALID", "Sorry, that username is not valid. Please make sure that you have entered the valid URL from the email or create a new user account."},
        {"JLOGINUSER_CONFIRMFIRST", "Ǹ, ڵ¼ǰȷʻ."},
        {"JLOGINUSER_NOAUTHUSERROLE", "The role authenticated_user does not exist in database."},

        {"LOGOUTUSER_THANKS", "лʹñϵͳ. ӭٴε."},

        {"SENDCONFIRMATIONEMAIL_BODY1", "ӭ Jyve\n\n" +
                                      "ʺѲ.\n\n" +
                                      ":\n\n"},

        {"SENDCONFIRMATIONEMAIL_BODY2", "µַȷʻ:\n\n"},
        {"SENDCONFIRMATIONEMAIL_SENT", "Email ͳ!"},
        {"SENDCONFIRMATIONEMAIL_ERROR", " email : "}, 

        {"SENDUSEREMAIL_IDNOTVALID", "ṩϷķÿ id."},
        {"SENDUSEREMAIL_EMAILNOTVALID" , "ûûкϷ email ַ."},
        {"SENDUSEREMAIL_FILLTHEFORM",  "д±."},
        {"SENDUSEREMAIL_SENT", "Email ͳ!"},

        {"SESSIONVALIDATOR_SESSIONNOTVALID", "There has been an error, your session is valid, but the screen variable is not defined."},

        {"SHOWEDIT_MUSTLOGIN", "б༭ǰȵ¼."},

        {"UPDATEACCOUNT_NOTLOGGEDIN", "޸ʻϢǰȵ¼."},
        {"UPDATEACCOUNT_PWNOTMATCH", "Ǹ, ."},
        {"UPDATEACCOUNT_NOFIRSTNAME", "Ǹ, ṩ first name."},
        {"UPDATEACCOUNT_NOLASTNAME", "Ǹ, ṩ last name."},
        {"UPDATEACCOUNT_NOEMAIL", "Ǹ, ṩϷ email ַ."},
        {"UPDATEACCOUNT_DONE", "ʻѸ!"},
        {"UPDATEACCOUNT_NOUSER", "Could not find correct user."},
        {"UPDATEACCOUNT_NEWEMAILCONFIRM", "ѱʼַ. ڼʹϵͳǰȷ. ʼʻ."},

        {"UPDATEANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"UPDATEANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"UPDATEANSWER_UNTITLEDQ", "ޱ"},
        {"UPDATEANSWER_ANSWERDELETE", "ɾ!"},
        {"UPDATEANSWER_ANSWERUPDATE", "Ѹ!"},
        {"UPDATEANSWER_ANSWER", " "},
        {"UPDATEANSWER_NOMODIFYPERM", "Ǹ, Ȩĸô!"},

        {"UPDATEFAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"UPDATEFAQ_UNTITLEDF", "ޱ FAQ"},
        {"UPDATEFAQ_FAQDELETE", "ɾ!"},
        {"UPDATEFAQ_FAQUPDATE", "Ѹ!"},
        {"UPDATEFAQ_FAQ", "FAQ "},
        {"UPDATEFAQ_NOMODIFYPERM", "Ǹ, Ȩĸ FAQ!"},

        {"UPDATEPRJ_NOVALIDPRJ", "Please choose a valid Project."},
        {"UPDATEPRJ_UNTITLEDP", "ޱĿ"},
        {"UPDATEPRJ_PRJDELETE", "ɾ!"},
        {"UPDATEPRJ_PRJUPDATE", "Ѹ!"},
        {"UPDATEPRJ_PROJECT", "Ŀ "},
        {"UPDATEPRJ_NOMODIFYPERM", "Ǹ, ȨĸĿ!"},

        {"UPDATEQUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        {"UPDATEQUESTION_UNTITLEDQ", "ޱ"},
        {"UPDATEQUESTION_QUESTIONDELETE", "ɾ!"},
        {"UPDATEQUESTION_QUESTIONUPDATE", "Ѹ!"},
        {"UPDATEQUESTION_QUESTION", " "},
        {"UPDATEQUESTION_NOMODIFYPERM", "Ǹ, Ȩĸ!"},

        {"UPDATETOPIC_NOVALIDTOPIC", "Please choose a valid Topic."},
        {"UPDATETOPIC_UNTITLEDT", "ޱ"},
        {"UPDATETOPIC_TOPICDELETE", "ɾ!"},
        {"UPDATETOPIC_TOPICUPDATE", "Ѹ!"},
        {"UPDATETOPIC_TOPIC", " "},
        {"UPDATETOPIC_NOMODIFYPERM", "Ǹ, Ȩ!"},


        {"RELEASE_PRJ_NORELEASEPERM", "Ǹ, ȨĿ!"},
        {"RELEASE_FAQ_NORELEASEPERM", "Ǹ, Ȩ FAQ!"},
        {"RELEASE_TOPIC_NORELEASEPERM", "Ǹ, Ȩ!"},
        {"RELEASE_QUESTION_NORELEASEPERM", "Ǹ, Ȩ!"},
        {"RELEASE_ANSWER_NORELEASEPERM", "Ǹ, Ȩô!"},

        {"RELEASE_PRJ_NOVALIDPRJ", "Please choose a valid Project."},
        {"RELEASE_FAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"RELEASE_TOPIC_NOVALIDTOPIC", "Please choose a valid Topic."},
        {"RELEASE_ANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"RELEASE_QUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        
        {"RELEASE_PRJ_PRJRELEASED", "Ŀѷ!"},
        {"RELEASE_FAQ_FAQRELEASED", "FAQ ѷ!"},
        {"RELEASE_TOPIC_TOPICRELEASED", "ѷ!"},
        {"RELEASE_QUESTION_QUESTIONRELEASED", "ѷ!"},
        {"RELEASE_ANSWER_ANSWERRELEASED", "ѷ!"},

        
// org.apache.jyve.navigations

        {"OPTIONSFOOTER_OPTIONS", ":"},
        {"OPTIONSFOOTER_HIDEEDIT", "[ر༭]"},
        {"OPTIONSFOOTER_SHOWEDIT", "[ʾ༭]"},
        {"OPTIONSFOOTER_LOGOUT", "[ע]"},
        {"OPTIONSFOOTER_LOGIN", "[¼]"},
        {"OPTIONSFOOTER_HOME", "[ҳ]"},
        {"OPTIONSFOOTER_SEARCH", "[]"},
        {"OPTIONSFOOTER_LISTUNRELEASED", "[δб]"},
        {"OPTIONSFOOTER_EDITACCOUNT", "[༭ʻ]"},

        {"TOPBAR_PROJECTSTITLE", "Ŀ:"},
        {"TOPBAR_FAQTITLE", "FAQ:"},
        {"TOPBAR_TOPICTITLE", ":"},

        {"PREVNEXTQ_PREVQUESTION", "Previous: "},
        {"PREVNEXTQ_PREVTOPIC", "Previous Topic: "},
        {"PREVNEXTQ_FIRSTQUESTION", "First question in first topic"},
        {"PREVNEXTQ_NEXTQUESTION", "Next: "},
        {"PREVNEXTQ_NEXTTOPIC", "Next Topic: "},
        {"PREVNEXTQ_LASTQUESTION", "Last question in last topic"},
        {"PREVNEXTQ_CURRENTTOPIC", "Current Topic: "},
        {"PREVNEXTQ_OPENBRACKET", "[ "},
        {"PREVNEXTQ_CLOSEBRACKET", " ]"},
        {"PREVNEXTQ_BRACKETSPLIT", " ] [ "},

// org.apache.jyve.screens

        {"CONFIRMREGISTRATION_TITLE", "Jyve - עȷ"},
        {"CONFIRMREGISTRATION_NOUSERNAME", "Ǹ, ûϷ."},
        {"CONFIRMREGISTRATION_MESSAGE",  "ʼ¼Խעȷ:"},
        {"CONFIRMREGISTRATION_SECRETKEYTITLE", ":"},
        {"CONFIRMREGISTRATION_CANCEL", "ȡ"},
        {"CONFIRMREGISTRATION_CONFIRM", "עȷ"},

        {"DISPLAYFAQS_TITLE", "Jyve - FAQs"},
        {"DISPLAYFAQS_NOVALIDPRJ", "Ǹ, ѡĿ."},
        {"DISPLAYFAQS_CHOOSEFAQMSG", "ѡ FAQ: "},
        {"DISPLAYFAQS_MODIFY", "[޸]"},
        {"DISPLAYFAQS_RELEASE", "[]"},
        {"DISPLAYFAQS_NOFAQ", "Ǹ, Ŀǰ FAQs."},
        {"DISPLAYFAQS_ADDNEWFAQ", "[ FAQ]"},

        {"DISPLAYONETOPIC_TITLE", "Jyve - One Topic"},
        {"DISPLAYONETOPIC_NOVALIDPRJ", "Ǹ, ѡĿ."},
        {"DISPLAYONETOPIC_NOVALIDFAQTOPIC", "Ǹ, ѡ FAQ ."},
        {"DISPLAYONETOPIC_NOVALIDTOPIC", "Please choose a valid topic."},
        {"DISPLAYONETOPIC_CHOOSEQUESTIONFROMTOPIC", "ѡµ: "},
        {"DISPLAYONETOPIC_ADDNEWQUESTION", "[]"},
        {"DISPLAYONETOPIC_MODIFYTOPIC", "[޸ĸ]"},
        {"DISPLAYONETOPIC_RELEASETOPIC", "[]"},

        {"DISPLAYPROJECTS_TITLE", "Jyve - Ŀ"},
        {"DISPLAYPROJECTS_CHOOSEPRJMSG", "ѡһĿ:"},
        {"DISPLAYPROJECTS_NOPRJ", "Ǹ, ǰĿ."},
        {"DISPLAYPROJECTS_MODIFY", "[޸]"},
        {"DISPLAYPROJECTS_RELEASE", "[]"},
        {"DISPLAYPROJECTS_ADDNEWPRJ", "[½Ŀ]"},

        {"DISPLAYQUESTIONANSWER_TITLE", "Jyve - ͽ"},
        {"DISPLAYQUESTIONANSWER_NOANSWER", "Ǹ, ޽."},
        {"DISPLAYQUESTIONANSWER_NOQUESTION", "Ǹ, ⲻ."},
        {"DISPLAYQUESTIONANSWER_MODIFY", "[޸]"},
        {"DISPLAYQUESTIONANSWER_RELEASE", "[]"},
        {"DISPLAYQUESTIONANSWER_LASTMOD", "ϴ޸: "},
        {"DISPLAYQUESTIONANSWER_NOVALIDTOPIC", "Please choose a valid topic."},
        {"DISPLAYQUESTIONANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"DISPLAYQUESTIONANSWER_ADDANSWER", "[]"},

        {"DISPLAYTOPICS_TITLE", "Jyve - "},
        {"DISPLAYTOPICS_NOVALIDPRJ", "Ǹ, ѡһĿ."},
        {"DISPLAYTOPICS_NOVALIDFAQTOPIC", "Ǹ, ѡһ FAQ ."},
        {"DISPLAYTOPICS_CHOOSETORQ", "ѡһ: "},
        {"DISPLAYTOPICS_ADDNEWTOPIC", "[]"},
        {"DISPLAYTOPICS_NOTOPICS", "Ǹ,  FAQ κ."},

        {"DISPLAYUSER_TITLE", "Jyve - ʾû"},
        {"DISPLAYUSER_INFOMSG", "Below is the information you requested: "},
        {"DISPLAYUSER_NAMEMSG", "Name: "},
        {"DISPLAYUSER_LOGINMSG", "Last Login: "},
        {"DISPLAYUSER_WARNING", "Please do not use this as a form of tech support. " +
                        "The reason is that we do not necessarily have time to help the world on an individual basis. " +
                        "Tech support questions sent via this system will probably be ignored. You should subscribe " +
                        "to the appropriate mailing list and ask your questions there."},
        {"DISPLAYUSER_SENDMAILMSG", "ûʼ:"},
        {"DISPLAYUSER_USERNAMEMSG", ": "},
        {"DISPLAYUSER_EMAILMSG", "ʼַ: "},
        {"DISPLAYUSER_SUBJECTMSG", ": " },
        {"DISPLAYUSER_BODYMSG", "Message: "},
        {"DISPLAYUSER_CANCEL", "ȡ"},
        {"DISPLAYUSER_SENDMAIL", "ʼ"},

        {"EDITACCOUNT_TITLE", "Jyve - ʻ"},
        {"EDITACCOUNT_NOTLOGGEDIN", "Ǹ, ȵ¼."},
        {"EDITACCOUNT_USERNAMEMSG", "û:"},
        {"EDITACCOUNT_PASSWORDMSG", ":"},
        {"EDITACCOUNT_PASSWORDCONFIRMMSG",  " (ȷ):"},
        {"EDITACCOUNT_FIRSTNAMEMSG", "First Name:"},
        {"EDITACCOUNT_LASTNAMEMSG", "Last Name:"},
        {"EDITACCOUNT_EMAILMSG",  "ʼַ:"},
        {"EDITACCOUNT_CANCEL", "ȡ"},
        {"EDITACCOUNT_CREATE", "ʻ"},
            
        {"EDITANSWER_TITLE", ""},
        {"EDITANSWER_CANCEL", "ȡ"},
        {"EDITANSWER_DELETE", "ɾ"},
        {"EDITANSWER_SAVE", ""},
        {"EDITANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"EDITANSWER_NOVALIDANSWER", "Please choose a valid answer."},
        {"EDITANSWER_CHANGEANSWERMSG", "Ľ:"},
        {"EDITANSWER_ORDERNUMMSG", "Order Number: "},
        {"EDITANSWER_NOMODIFYPERM", "Ǹ, Ȩý!"},

        {"EDITFAQ_TITLE", " FAQ"},
        {"EDITFAQ_CANCEL", "ȡ"},
        {"EDITFAQ_DELETE", "ɾ"},
        {"EDITFAQ_SAVE", ""},
        {"EDITFAQ_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"EDITFAQ_CHANGEFAQMSG", "޸ĸ FAQ:"},
        {"EDITFAQ_ORDERNUMMSG", "˳: "},
        {"EDITFAQ_NOMODIFYPERM", "Ǹ, Ȩ޸ĸ FAQ"},

        {"EDITPRJ_TITLE", "޸Ŀ"},
        {"EDITPRJ_CANCEL", "ȡ"},
        {"EDITPRJ_DELETE", "ɾ"},
        {"EDITPRJ_SAVE", ""},
        {"EDITPRJ_CHOOSETOPIC", "Please choose a valid topic."},
        {"EDITPRJ_CHANGEPRJMSG", "޸ĸĿ:"},
        {"EDITPRJ_ORDERNUMMSG", "˳: "},
        {"EDITPRJ_NOMODIFYPERM", "Ǹ, Ȩ޸ĸĿ!"},

        {"EDITQUESTION_TITLE", "޸"},
        {"EDITQUESTION_CANCEL", "ȡ"},
        {"EDITQUESTION_DELETE", "ɾ"},
        {"EDITQUESTION_SAVE", ""},
        {"EDITQUESTION_NOVALIDQUESTION", "Please choose a valid question."},
        {"EDITQUESTION_CHANGEQUESTIONMSG", "޸ĸ:"},
        {"EDITQUESTION_ORDERNUMMSG", "˳: "},
        {"EDITQUESTION_NOMODIFYPERM", "Ǹ, Ȩ޸ĸ!"},

        {"EDITTOPIC_TITLE", "޸"},
        {"EDITTOPIC_CANCEL", "ȡ"},
        {"EDITTOPIC_DELETE", "ɾ"},
        {"EDITTOPIC_SAVE", ""},
        {"EDITTOPIC_NOVALIDTOPIC", "Please choose a valid topic."},
        {"EDITTOPIC_CHANGETOPICMSG", "޸ĸ:"},
        {"EDITTOPIC_ORDERNUMMSG", "˳: "},
        {"EDITTOPIC_NOMODIFYPERM", "Ǹ, Ȩ޸ĸ!"},

        {"LOGIN_TITLE", "ӭ Jyve - Login Screen!"},
        {"LOGIN_USERNAMEMSG",  "û:"},
        {"LOGIN_PASSWORDMSG", ":"},
        {"LOGIN_CREATENEWACCOUNT", "½ʻ"},
        {"LOGIN_LOGINBTN", "¼"},

        {"MAINMENU_TITLE", "ӭ Jyve FAQ!"},
        {"MAINMENU_WELCOMEMSG", "ӭ "},

        {"NEWACCOUNT_TITLE", "Jyve - ½ʻ"},
        {"NEWACCOUNT_INFOMSG1", "½ʻ, д±. "},
        {"NEWACCOUNT_INFOMSG2", "ʻ, 㽫ܵһṩʼ."},
        {"NEWACCOUNT_INFOMSG3", "һʼṩϵͳעȷ."},
        {"NEWACCOUNT_INFOEMAILMSG", "ҪһϷĵʼַ!"},
        {"NEWACCOUNT_USERNAMEMSG", "û:"},
        {"NEWACCOUNT_PASSWORDMSG", ":"},
        {"NEWACCOUNT_PASSWORDCONFIRMMSG",  " (ȷ):"},
        {"NEWACCOUNT_FIRSTNAMEMSG", "First Name:"},
        {"NEWACCOUNT_LASTNAMEMSG", "Last Name:"},
        {"NEWACCOUNT_EMAILMSG",  "ʼַ:"},
        {"NEWACCOUNT_CANCEL", "ȡ"},
        {"NEWACCOUNT_CREATE", "½ʻ"},
       
        {"NEWANSWER_NOVALIDQUESTION", "Please choose a valid question."},
        {"NEWANSWER_TITLE", "½"},
        {"NEWANSWER_ADDNEWANSWERMSG", "Ľ:"},
        {"NEWANSWER_CANCEL", "ȡ"},
        {"NEWANSWER_SAVE", ""},
        {"NEWANSWER_TYPE_HTMLTEXTMSG", "Html ı"},
        {"NEWANSWER_TYPE_PLAINTEXTMSG", "ı"},
        {"NEWANSWER_ORDERNUMMSG", "˳: "},
        {"NEWANSWER_NOADDPERM", "Ǹ, Ȩ!"},
         
        {"NEWFAQ_NOVALIDPROJECT", "Please choose a valid Project."},
        {"NEWFAQ_TITLE", " FAQ"},
        {"NEWFAQ_ADDNEWFAQMSG", " FAQ:"},
        {"NEWFAQ_CANCEL", "ȡ"},
        {"NEWFAQ_SAVE", ""},
        {"NEWFAQ_ORDERNUMMSG",  "˳: "},
        {"NEWFAQ_NOADDPERM", "Ǹ, Ȩ FAQ!"},

        {"NEWPRJ_TITLE", "Ŀ"},
        {"NEWPRJ_ADDNEWPRJMSG", "Ŀ:"},
        {"NEWPRJ_CANCEL", "ȡ"},
        {"NEWPRJ_SAVE", ""},
        {"NEWPRJ_ORDERNUMMSG", "˳: "},
        {"NEWPRJ_NOADDPERM", "Ǹ, ȨĿ!"},

        {"NEWQUESTION_TITLE", ""},
        {"NEWQUESTION_NOVALIDFAQ", "Ǹ, ѡһ FAQ ."},
        {"NEWQUESTION_NOVALIDTOPIC", "Please choose a valid topic."},
        {"NEWQUESTION_ADDNEWQUESTIONMSG", ":"},
        {"NEWQUESTION_CANCEL", "ȡ"},
        {"NEWQUESTION_SAVE", ""},
        {"NEWQUESTION_ORDERNUMMSG", "˳: "},
        {"NEWQUESTION_NOADDPERM", "Ǹ, Ȩ!"},

        {"NEWTOPIC_TITLE", ""},
        {"NEWTOPIC_NOVALIDFAQ", "Please choose a valid FAQ."},
        {"NEWTOPIC_ADDNEWTOPICMSG", ":"},
        {"NEWTOPIC_CANCEL", "ȡ"},
        {"NEWTOPIC_SAVE", ""},
        {"NEWTOPIC_ORDERNUMMSG", "˳: "},
        {"NEWTOPIC_NOADDPERM", "Ǹ, Ȩ!"},

        {"SEARCHGLOBAL_TITLE", "Jyve - ȫ!"},
        {"SEARCHGLOBAL_SEARCHMSG", ": "},
        {"SEARCHGLOBAL_SEARCHBTN", "!"},

        {"SEARCHRESULTS_TITLE", "Jyve - !"},
        {"SEARCHRESULTS_SEARCHRESULTMSG", ":"},
        {"SEARCHRESULTS_NOVALIDSEARCH", "ָ!"},
        {"SEARCHRESULTS_PROJECTMSG", "Ŀ:"},
        {"SEARCHRESULTS_FAQMSG", "FAQ:"},
        {"SEARCHRESULTS_TOPICMSG", ":"},
        {"SEARCHRESULTS_QUESTIONMSG", ":"},
        {"SEARCHRESULTS_NOMATCHMSG", "Ǹ, δҵӦ!"},
        {"SEARCHRESULTS_TOTALMSG", "ϼ: "},

        {"DISPLAYUNRELEASED_TITLE", "Jyve - ʾδĿ!"},
        {"DISPLAYUNRELEASED_LISTOFMSG", "δĿб:"},
        {"DISPLAYUNRELEASED_PROJECTMSG", "Ŀ:"},
        {"DISPLAYUNRELEASED_FAQMSG", "FAQ:"},
        {"DISPLAYUNRELEASED_TOPICMSG", ":"},
        {"DISPLAYUNRELEASED_QUESTIONMSG", ":"},
        {"DISPLAYUNRELEASED_NOMATCHMSG", "δĿ!"},
        {"DISPLAYUNRELEASED_TOTALMSG", "ϼ: "},
        
// org.apache.jyve.util

        {"JSECURITYCHECK_RANGEVISITORID", "Error: Your visitor_id in the database must be greater zero: "},
        {"JSECURITYCHECK_RANGEVISITORIDREC", "Error: The visitor_id of the choosen element in the database must be greater zero: "},
        
        {"", ""}
    };
}

