package org.apache.jyve.screens;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

// JDK Stuff
import java.sql.*;

// External Stuff
import org.apache.turbine.modules.*;
import org.apache.turbine.services.*;
import org.apache.turbine.services.localization.*;
import org.apache.turbine.util.*;
import org.apache.turbine.om.security.*;
import org.apache.turbine.util.db.*;
import org.apache.turbine.util.db.pool.*;
import com.workingdogs.village.*;
import org.apache.ecs.*;
import org.apache.ecs.html.*;

public class NewAccount extends Screen
{
    public ConcreteElement doBuild( RunData data ) throws Exception
    {
        data.setTitle(Localization.getString("NEWACCOUNT_TITLE"));

        ElementContainer ec = new ElementContainer();
        ec.addElement ( Localization.getString("NEWACCOUNT_INFOMSG1") );
        ec.addElement ( new P() );
        ec.addElement ( Localization.getString("NEWACCOUNT_INFOMSG2") );
        ec.addElement ( new P() );
        ec.addElement ( Localization.getString("NEWACCOUNT_INFOMSG3") );
        ec.addElement ( new P() );
        ec.addElement ( new B(Localization.getString("NEWACCOUNT_INFOEMAILMSG")));
        ec.addElement ( new P() );
        
        Form form = new Form ( new DynamicURI ( data, "ConfirmRegistration", "CreateNewUserAndConfirm", true ).toString()
            , Form.POST );

        form.addElement ( new Input ( Input.hidden, "nextscreen", data.parameters.getString ( "nextscreen", "" ) ));
        Table table = new Table().setCellSpacing(0).setCellPadding(0).setBorder(0);

        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_USERNAMEMSG"))
             .addElement ( new TD().addElement ( new Input(Input.TEXT, "username", data.parameters.getString("username", ""))))));
        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_PASSWORDMSG"))
             .addElement ( new TD().addElement ( new Input(Input.PASSWORD, "password", "")))));
        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_PASSWORDCONFIRMMSG"))
             .addElement ( new TD().addElement ( new Input(Input.PASSWORD, "password_confirm", "")))));

        table.addElement ( new TR()
             .addElement ( new TD().addElement ( new HR().setSize(1).setNoShade(true) ).setColSpan(2) ));

        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_FIRSTNAMEMSG"))
             .addElement ( new TD().addElement ( new Input(Input.TEXT, "firstname", data.parameters.getString("firstname", ""))))));
        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_LASTNAMEMSG"))
             .addElement ( new TD().addElement ( new Input(Input.TEXT, "lastname", data.parameters.getString("lastname", ""))))));
        table.addElement ( new TR()
             .addElement ( new TD().addElement (Localization.getString("NEWACCOUNT_EMAILMSG"))
             .addElement ( new TD().addElement ( new Input(Input.TEXT, "email", data.parameters.getString("email", ""))))));

        String buta = "submit1";
        String butb = "submit2";
        String but1 = Localization.getString("NEWACCOUNT_CANCEL");
        String but2 = Localization.getString("NEWACCOUNT_CREATE");

        table.addElement ( new TR().addElement(
            new TD().addElement ( new Input ( Input.submit, buta, but1 ) )
            .addElement ( new Input ( Input.submit, butb, but2 ) )
                .setAlign(AlignType.right).setColSpan(2) ));

        data.getUser().setTemp ( buta, but1 );

        form.addElement ( table );
        return ec.addElement (form);
    }
}
