package org.apache.jyve.screens;

/*
 * Copyright (c) 1997-1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * 4. The names "Apache JServ", "Apache JServ Servlet Engine", "Jyve",
 *    "Apache Jyve", "Jyve Project", "Apache Jyve Project" and
 *    "Java Apache Project" must not be used to endorse or promote products
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called "Apache JServ"
 *    nor may "Apache" nor "Apache JServ" appear in their names without
 *    prior written permission of the Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache
 *    Project for use in the Apache JServ servlet engine project
 *    <http://java.apache.org/>."
 *
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Group. For more information
 * on the Java Apache Project and the Apache JServ Servlet Engine project,
 * please see <http://java.apache.org/>.
 *
 */

// JDK Stuff
import java.sql.*;

// External Stuff
import org.apache.jyve.util.*;
import org.apache.turbine.modules.*;
import org.apache.turbine.services.*;
import org.apache.turbine.services.localization.*;
import org.apache.turbine.util.*;
import org.apache.turbine.om.security.*;
import org.apache.turbine.util.db.*;
import org.apache.turbine.util.db.pool.*;
import com.workingdogs.village.*;
import org.apache.ecs.*;
import org.apache.ecs.html.*;

public class NewProject extends Screen
{
    public ConcreteElement doBuild( RunData data ) throws Exception
    {
        // Security check. This feature was added at 26.01.2000
        // by Bernie Hoeneisen, ETH Zurich, mailto:bhoeneis@ee.ethz.ch
        // last modified: 22.02.2000 (bernie)
        JSecurityCheck secCheck = new JSecurityCheck(data,
            Localization.getString("NEWPRJ_NOADDPERM"), 
            "DisplayProjects" );
        if ( !secCheck.accessToScreenNew("project"))
        {
            return ScreenLoader.getInstance().eval ( data, data.getScreen() );
        }
         
        // Set the Title tag of the page
        data.setTitle(Localization.getString("NEWPRJ_TITLE"));

        Form form = new Form ( 
            new DynamicURI ( data, "DisplayProjects", "AddNewProject", true )
            .toString()
            , Form.POST );

        Table table = new Table().setBorder(0).setCellPadding(0).setCellSpacing(0);

        table.addElement ( new TR()
             .addElement ( new TD( new H3(Localization.getString("NEWPRJ_ADDNEWPRJMSG"))).setColSpan(2)));

        table.addElement ( new TR()
             .addElement ( new TD( 
            new TextArea("project_value", 5, 80).setWrap(TextArea.VIRTUAL)).setColSpan(2)));

        String buta = "submit1";
        String butb = "submit2";
        String but1 = Localization.getString("NEWPRJ_CANCEL");
        String but2 = Localization.getString("NEWPRJ_SAVE");

        ElementContainer orderEC = new ElementContainer();
        orderEC.addElement (Localization.getString("NEWPRJ_ORDERNUMMSG"));
        orderEC.addElement ( new Input ( Input.text, "display_order", "" ).setSize(5) );        
        table.addElement ( new TR().addElement(
            new TD(orderEC).setColSpan(2).setAlign(AlignType.right)) );
        
        table.addElement ( new TR().addElement(
            new TD("&nbsp;").setColSpan(2).setAlign(AlignType.right)) );
        
        table.addElement ( new TR().addElement(
            new TD().addElement ( new Input ( Input.submit, buta, but1 ) )
            .addElement ( new Input ( Input.submit, butb, but2 ) )
                .setAlign(AlignType.right).setColSpan(2) ));

        data.getUser().setTemp ( buta, but1 );

        form.addElement(table);
        return form;
    }
}
